Using PC-DMIS Laser

PC-DMIS Laser: Introduction

Attributes for Laser Measurement

Getting Started

Using the Probe Toolbox in PC-DMIS Laser

Using Sound Events

Using the Laser View

Using Pointclouds

Pointcloud Operators

Pointcloud Alignments

Extracting Auto Features from Pointclouds

Creating Auto Features with a Laser Probe

Scanning Your Part Using a Laser Probe


PC-DMIS Laser: Introduction

This help file documents how to use PC-DMIS with your laser probe to measure features on a part or to collect data. Laser probes allow you to easily collect millions of points of data (called clouds of points). These clouds of points are then used within PC-DMIS for surface contour maps, export to reverse engineering packages and creation of constructed features and auto features. This help file discusses how to use PC-DMIS with a non-contact laser probe to collect and interpret those clouds of points.

PC-DMIS Laser supports these hardware configurations:

¨ Perceptron – Digital, V4, V4i, V4ix, and V5
¨ Metris – LC and XC

The main topics in this help file include:

  • Attributes for Laser Measurement

  • Getting Started

  • Using the Probe Toolbox in PC-DMIS Laser

  • Using Sound Events

  • Using the L aser View

  • Using Pointclouds

  • Pointcloud Operators

  • Pointcloud Alignments

  • Auto Feature Extraction

  • Creating Auto Features with a Laser Probe

  • Scanning Your Part Using a Laser Probe

Use this help file in conjunction with the main "PC-DMIS Help file" if you come across something in the software that isn't covered here.


Attributes for Laser Measurement

Before getting into the details of non-contact laser sensors, you need to understand their attributes in order to improve the results obtained when using them for measurement. Laser probes are excellent at gathering large amounts of data quickly. They are also good for measuring parts that may otherwise deform under the pressure of a tactile probe.

However, keep in mind that measurements taken with laser sensors are influenced by other factors such as sunlight, surface finish, surface reflectivity, and surface color. In order to compensate for some of these factors, filters can be applied to the data to handle the influence. But you should understand how and why these items affect the results.

It will take some time and experience working with your particular parts and in your specific environment to determine what settings will work best for you. You should experiment with the capabilities of your specific sensor to improve the results of measurements.

Remember that you are working with a Laser sensor. Consult your probe documentation for safety issues and procedures for a safe work environment.


Getting Started

There are a few basic steps that you should take to verify that your system has been properly prepared before using PC-DMIS with your laser device.

To get PC-DMIS running with your laser probe, follow these steps:

  • Step 1: Install and Launch PC-DMIS

  • Step 2: Define the Laser Probe

  • Step 3: Define Setup Options for the Laser Sensor

  • Step 4: Calibrate the Laser Probe

  • Step 5: Check the Calibration Results

If you are using a Perceptron laser on a Romer arm, see the "Using a Romer Portable CMM" section in the PC-DMIS Portable help file.


Step 1: Install and Launch PC-DMIS

Before working with your laser device, ensure that PC-DMIS has been properly installed on your computer system.

To install PC-DMIS for your Laser device:

  1. Ensure that the machine running the laser probe is properly setup and configured according to your machine’s specifications. Follow the documentation that came with your laser probe to properly connect the hardware.

  2. Attach your portlock programmed with the Laser option to your computer. You must also have the correct Laser probe type from the Laser Type drop-down box programmed. The portlock settings must be selected prior to installing PC-DMIS to ensure that the needed Laser components will be installed. Please contact your PC-DMIS software distributor if your portlock has not been properly configured.

  3. Install PC-DMIS.

  4. Start PC-DMIS in online mode by selecting Start | (All) Programs | PC-DMIS for Windows | Online.

  5. Open an existing part program, or create a new one. If you create a new part program the Probe Utilities dialog box appears.

Note: Installation of drivers, etc. should be managed by the PC-DMIS installer.

Next Step ...


Step 2: Define the Laser Probe

If your laser probe type has not yet been defined you will need to use the Probe Utilities dialog box to create a probe file.

To create a new probe file for your laser sensor:

  1. Select the Display Menu Roadmap Insert | Hardware Definition | Probe menu option. The Probe Utilities dialog box appears. (This dialog will automatically appear whenever you create a new part program.)

Probe Utilities dialog box

  2. Type a Probe File name that best describes your laser sensor.

  3. High-light: No probe defined

  4. Select the appropriate probe from the Probe Description drop-down list. Most laser sensors connect directly to the PH10M probe head.

  5. As needed, select additional components in the same manner for "empty connections" until your probe definition is complete. The defined tip will be displayed in the Active Tip List when completed.

  6. Notice the probe image is no longer displayed. This is usually desirable so it does not obstruct the view of the part as you are measuring. However, You can enable the display of probe components by double-clicking on the probe component to open the Edit Probe Component dialog box. Select the check box next to Draw this component.

  7. If you are using PH10, Tesa, or continuous type wrists with a C joint you need to verify that the joint angles are properly adjusted for visual purposes. Otherwise, PC-DMIS can't properly correlate the sensor’s data to the machine position. It is important to understand that the probe file does not define the orientation of the sensor about the joint; It only defines the probe vector. If your probe is not rotated correctly about the joint then you will need to manually provide the extra rotation for the laser by right-clicking on the component and changing the Default rotation angle about connection entry to reflect the need rotation.

For additional information on defining probes, see the "Defining Hardware" section in the main PC-DMIS help file.

Next Step ...


Step 3: Define Setup Options for the Laser Sensor

  1. If you see the Probe Utilities dialog box, close it down.

  2. Open the Setup Options dialog box (Click F5 or select Edit | Preferences | Setup).

  3. Select the Laser Sensor tab. This tab will vary, depending on the type of Probe that is specified in the port lock configuration. Specific information is provided for the following Probe Types:

  • Perceptron Sensor

  • Metris Sensors

Registry Settings for Laser Probes

The Settings Editor has two settings that allow for the automated process of switching between a Contact probe and a Perceptron probe on a PH10 wrist (PICSDifferentialSwitchBit) and controlling the power on a laser probe warm up station (WarmUpStationPowerBit).

Next Step ...


Step 4: Calibrate the Laser Probe

The calibration process described in this step will vary depending on the "Measure Laser Probe Options" and the type of installed interface. Refer to the "Measure Laser Probe Options" topic for detailed information on calibration options. The following steps outline the procedure that would be used when you are first calibrating your laser probe:

  1. Select the tip that you defined in Step 3 from the Active Tip List box from the Probe Utilities dialog box.

  2. Click Measure from the Probe Utilities dialog box. This opens the "Measure Laser Probe" dialog box.

  3. Select the Type of Calibration Operation:

    • For Perceptron probes, select Offset.

    • For Metris probes, select Tips.

  4. Select other calibration options as needed: Motion type, Move Speed, Parameter Sets and Calibration Tool.

Note: If using a multi-sensor CMM, the sphere location for the laser calibration tool should first be found with a calibrated touch probe so that the laser probe measurement data will be correlated with the touch probe calibration.

  5. Click Measure to begin the calibration procedure. Follow any on-screen instructions. The first several prompts that you see are identical to the setup procedure for touch trigger probes.

Note: If you are using MAN or MAN + DCC Motion or you answer Yes to the message “Has the sphere moved” you will need to manually bisect the qualification sphere. See "Manually Bisecting the Calibration Sphere". Once you do an Offset calibration, you will no longer be asked to bisect the sphere unless you answer yes to the message “Has the sphere moved”.

  6. Once execution finishes PC-DMIS returns to learn mode and shows the Probe Utilities dialog box.

  7. Steps 8 through 13 are for Metris probes only. If you are calibrating a Perceptron probe, skip to step 14.

  8. Select the tip that you have just calibrated from the Active Tip List box from the Probe Utilities dialog box.

  9. Click Measure to begin sensor calibration.

Important: If your CMM is equipped with a jog box (pendant) that has a variable speed control, ensure that it is set to 100% at the start of the Sensor calibration and throughout the entire Sensor calibration procedure. Failure to do this will cause an inaccurate velocity map to be calculated.

  10. Select the DCC Motion option and the Sensor option from the Measure Laser Probe dialog box.

  11. Verify that the same Calibration Tool that was used for tip calibration is selected.

  12. Click Measure. The sensor calibration procedure is much longer than Tip calibration and will take at least 5 minutes.

  13. Once Sensor calibration finishes PC-DMIS shows the Probe Utilities dialog box.

  14. If needed, click Add Angles to define any other tip angles that need to be calibrated.

  15. Select any tips from the Active Tip List box from the Probe Utilities dialog box for which you would like to perform tip calibrations. The initial tip calibration only found offset information for the probe configuration.

  16. Click Measure to begin tip calibration for all selected angles. If no angles are selected, you will be prompted to see if you want to calibrate all tips.

  17. Select the Tips option from the Measure Laser Probe dialog box.

  18. Verify that the same Calibration Tool that was used for tip calibration is selected.

  19. Click Measure. PC-DMIS performs tip calibration and shows the Probe Utilities dialog box when it is finished.

Note: Offsets of each axis for Perceptron Sensors are saved in the registry as HotSpotErrorEstimateX, HotSpotErrorEstimateY, and HotSpotErrorEstimateZ

Note: The new velocity map for Metris Sensors will be saved in the same directory as the “Sensor files location” specified on the Laser tab of Setup Options dialog box.

Note: Once either Offsets or Sensor calibration has been performed, depending on probe type, only steps 14 through 19 need to be performed on any new probe file which utilize the same sensor and CMM.

Next Step ...


Measure Laser Probe Options

The options available from the Measure Laser Probe dialog box determine the procedure that will be executed for Laser Probe calibration.

Measure Laser Probe dialog box

Change the following options as needed or as directed in "Step 4: Calibrate the Laser Probe".

Motion

  • Man - This will require that you manually position the arm in several different locations bisecting the calibration tool. This will vary depending on the sensor manufacturer. This is the only available Motion option for arm machines.

  • DCC - DCC mode is used when the laser sensor has accurate offsets provided by the sensor manufacturer or if you have already run the calibrate “offset” routine. This will move the machine through a series of positions as recommended by the sensor manufacturer. You will not be required to position the probe manually for each tip that is calibrated.

  • Man+DCC - This mode is similar to DCC except that you will be required to position the sensor over the sphere in order to begin the calibration sequence for each of the tips being calibrated. You will be prompted by the application to position the sphere at the beginning of the calibration process.

Type of Calibration Operation

Note: The options in this section are available depending on the Laser Probe. Tips works for all probes, Offset is only for Perceptron sensors, Sensor is used for Metris sensors and Continuous Wrist is used for a Perceptron Sensor on an arm machine (Romer).

  • Tips - This option is used to do a standard calibration or all marked tips for your laser probe.

  • Offset - This option is used to estimate the laser probe offset for Perceptron laser probe types. Offset calibrations are only needed so that the machine can be positioned correctly to calibrate tips. If this step were to be skipped then the sphere may be missed during tip calibration.

  • Sensor - This option is used to recalibrate the CCD of the camera inside the sensor. This is used mostly with sensors that have moving parts like Metris.

  • Continuous Wrist - This option is used for calibrating sensors on manual arm machines.

Calibrating Perceptron Probes for the First Time: First, calibrate a single tip using the Offset option. Second, calibrate the first tip angle and any other tip angles using the Tips option. See "Step 5: Calibrate the Laser Probe" from more details.

Calibrating Metris Probes for the First Time: First, calibrate a selected tip using the Tips option. Second, calibrate the same tip sensor using the Sensor option. Third, calibrate the first tip and any other tip angles that might be used with the Tips option again. See "Step 5: Calibrate the Laser Probe" from more details.

Operation Mode

  • Move Speed [%] - Determines the percentage of the maximum machine speed that will be used during the qualification process.

Parameter Sets

Allows you to create, save, and use saved sets for your Laser probe. This information is saved as part of the probe file and includes the settings for your Laser probe.

To create your own named parameter sets:

  1. Modify any parameters on the Measure Laser Probe dialog box.

  2. From the Parameter Sets area, type a name for the new parameter set in the Name box and click Save. PC-DMIS displays a message telling you that your new parameter set has been created. You can easily delete a saved parameter set by selecting it and clicking Delete.

Calibration Tool

Select the appropriate Calibration Tool. If this is your first time calibrating, you will need to first define the tool first by selecting Add Tool. For specific information on defining a qualification tool, see the "Defining Hardware" section in the main PC-DMIS help file.

Important: Make sure you use the spherical qualification tool provided with your laser probe when you calibrate it. The surface characteristics of this tool are designed for optimal scanning results. Using a tool made by another manufacture may produce inaccurate data.


Manually Bisecting the Calibration Sphere

When you use either the MAN (Manual) or MAN + DCC Motion option you will be required to manually bisect the qualification sphere. This is also necessary if you have moved the sphere or do not know the location of the sphere. The calibration procedure will prompt you when you need to move the machine.

PC-DMIS Message

To Manually Bisect the Sphere:

  1. Leave the PC-DMIS Message open.

  2. Switch to the Live View tab on the main Graphics Display Window.

  3. Click the On/Off button. This turns on the laser. A flashing red arc appears in the graphic area of the Laser View tab and a green crosshair. The red arc is where the laser hits the calibration sphere.

  4. Center the cross hair inside the circular region formed by the arc by moving the machine with the jog box. The red arc moves as you move the machine. If you imagine that the flashing arc indicates the edge of a circle, the center point of this imaginary circle should optically align with the center of the cross hair.

Aligning the arc

  5. Once you have aligned the arc, click the On/Off button again. This turns off the laser.

  6. Click OK on the PC-DMIS Message to accept the change you made of aligning the arc. PC-DMIS stays in Execute mode and the laser sensor moves through a series of defined positions used to calibrate your tip.

  7. At each position the laser beam hits the sphere in a stripe and the laser sensor collects the data from that stripe. The collected data and the corresponding machine position determine the sensor’s mounting orientation on the machine.

  8. Once execution finishes PC-DMIS returns to learn mode and shows the Probe Utilities dialog box.


Step 5: Check the Calibration Results

Click on the Results button in the Probe Utilities dialog box. The Calibration Results dialog box appears.

Calibration Results

PC-DMIS records several things from the calibration in this dialog box. Take a look at the maximum, average, and standard deviation values.

The maximum should be somewhere between 20 to 100 microns. The average and the standard deviation should be around 20 microns.

If things look correct, click the OK button to close down the Calibration Results dialog box.

You are now done setting up and calibrating your laser probe. You should now have access to all laser-related functionality.


Using the Probe Toolbox in PC-DMIS Laser

Probe Toolbox with the laser probe related tabs

The Display Menu Roadmap View | Probe Toolbox menu option displays the Probe Toolbox. The Probe Toolbox contains various laser probe parameters used to acquire the data points needed by a part program.

Important: Your portlock must be programmed with the Laser option and you must be working with a supported laser probe in order to access the various PC-DMIS Laser related tabs in the toolbox.

The Probe Toolbox contains the laser parameters within these tabs:

  • Position Probe

  • Feature Locator

  • Laser Scan Properties

  • Laser Filtering Properties

  • Laser Pixel Locator Properties

  • Laser Clipping Region Properties

The list above shows all possible Probe Toolbox tabs. The tabs available will depend on the sensor that you have on your system. If capabilities for a tab do not apply to your specific sensor, then that tab will not be available.


Laser Probe Toolbox: Position Probe tab

Probe Toolbox - Position Probe tab

The Position Probe tab allows you to select the current probe file and tip. It also displays the current probe location in the active alignment coordinates. You can double click the X, Y or Z values to edit them.

Be aware that if you edit the current probe location it will move the machine to the new coordinate. Use caution when using this capability because it will move your machinery without any notice.

If you don't see any information in the Probes and Probe Tips lists of the Probe Toolbox, you need to first define a probe. see the "Defining Hardware" section in the main PC-DMIS help file on how to do this.

While you can use this tab with all probe types (contact, laser, or optical), this help file only covers PC-DMIS Laser related items. For information about the toolbox as it relates to probes in general, see the "Using the Probe Toolbox" section in the main PC-DMIS help file.

More:

To Position Your Laser Probe

Laser Controls for Position Probe tab


To Position Your Laser Probe

  1. Adjust the Increment Value in the Increment edit box [image] to specify the amount that the Current Position edit box will be increased or decreased.

  2. Click the Up and Down arrows to change the value in the Current Position edit box [image]. This will cause your Laser Probe to move in real time by the specified value. Alternately, you may type the value and hit enter to cause your Laser Probe to move.


Controls for Position Probe Tab

Using the Probe Readout window with Laser Probes

Probe Readout toggle

Clicking the Probe Readout button displays the Probe Readout window. You can easily resize or relocate this window.

Most information on the Probe Readout window is the same for all probe types and is already discussed in the "Using the Probe Readout Window“ topic of the "Using Other Windows, Editors, and Tools" section in the main PC-DMIS help file.

Laser Toggle

Toggle Laser On / Off

This toggle button turns the laser on and off. It is only available for laser probes.


Laser Probe Toolbox: Feature Locator Tab

Probe Toolbox - Feature Locator tab

The Feature Locator tab allows you give assistance to the operator by instructions for the current feature. Assistance is given by providing one or more of the following prompts during feature execution:

  • A Screen capture bitmap, showing the feature's location.

  • An Audio prompt, providing audible instructions via a prerecorded .wav file.

  • A Text prompt, providing written instructions.

To provide Feature Locator information:

  1. Click the [image] button next to the [image] (speaker) button to browse to the .wav file to associate with this auto feature. The speaker button must be selected for the audio file to play.

  2. Click the Feature Locator Bitmap File toggle button [image] to toggle the display of the associated bitmap.

  3. Click the [image] button next to the [image] (Feature Locator Capture BMP) button to browse to the .bmp file to associate with this auto feature. The bitmap button must be selected for the bitmap to be displayed on the Feature Locator tab.

  4. Rather than browsing for a bitmap image, you can click the [image] button to capture an image from the current Cad View or Laser View (whichever is active). This file will be indexed and saved in the PC-DMIS install directory. For example, a part program named Laser.prg would yield bitmaps named Laser0.bmp, Laser1.bmp, Laser2.bmp, etc.

  5. Type a message to be displayed as a caption in the text box. For example, "Measure Circle 1" will be displayed on this tab with subsequent feature execution.


Laser Probe Toolbox: Laser Scan Properties tab

Probe Toolbox - Laser Scan Properties tab

The Laser Scan Properties tab defines how data from the scan will be acquired.

The Properties for this tab are:

  • Sensor Frequency

  • Row Overlap

  • Overscan

  • Exposure

  • Point Cloud


Sensor Frequency

This parameter controls the internal sensor frequency of the probe. The value that is displayed is sensor pulses per second. For sensors with variable frequency capabilities, the higher the frequency, the more data you will get. It is important to understand that more data is not always better. With variable frequency scanners you should use a frequency in the middle of the supported range. This is a good balance between speed and accuracy.


Row Overlap

If the feature or patch scan is larger than the width of the scan line, multiple passes of the probe will be taken. In that case, this parameter controls how far each pass will overlap the previous pass. The default value is 1.0 mm.

Show/Hide Stripes: Selecting this toggle button so it is depressed will cause the laser scan stripes to be displayed in real-time on the CAD model. PC-DMIS limits how the stripes are displayed in the Graphics Display window to the distance of the feature nominal plus the Overscan value. The Overscan parameter controls how much of the stripe is clipped and visible to the user.

The graphic below gives and example of how these stripes are displayed.

Scan Features showing stripes


Overscan

This parameter controls how far beyond the nominal feature’s dimensions the probe will scan along both the major and minor axis of the feature. The default value is 2.0 mm. If you are measuring features whose actual location may vary significantly from their theoretical values, you will need to increase this value in order to ensure that PC-DMIS measures the entire feature.


Exposure

This parameter controls the exposure of the sensor. Perceptron probes range from 35 to 500 with a default value of 15. Metris sensors range from 0 to 64 with a default value of 18. The default will work well for most parts, but parts which absorb a lot of light (such as a black anodized surface) may require that the value be set higher. Don’t set the value higher unless it is needed; doing so, may result in less accurate measurements.

Note: For Perceptron sensors you can use the Laser View to calculate the best exposure value for you. If you set the AutoExposeWithLiveView registry setting to TRUE, PC-DMIS will automatically set the exposure value in the probe toolbox to the best value will every time you start Laser View.


Point Cloud

This parameter provides the COP command from which the auto feature will be extracted. If "disabled" is selected, then the data from the scan will be stored internally by PC-DMIS.

Note: The "disabled" option is only used with DCC laser scans.


Laser Probe Toolbox: Laser Filtering Properties tab

Probe Toolbox - Laser Filtering Properties tab

The Filtering tab is useful when you want to filter the data as it is collected. The following filtering options are available from the list:

Filter Type: Only Available for Perceptron Sensors

  • None - Filtering will not take place if you select 'None'. This is the default setting.

  • Long Line

  • Median

  • Weighted Average

Filter Type: Only Available for Metris Sensors

  • Inline


Filter Type: Long Line

Long Line Filter Type

The Long Line filter finds the longest continuous line or stripe of data in the image and rejects the rest of the data. The long line filter is also forced to be used during calibration. The laser stripe may be broken up due to the geometry of the part being measured. This filter finds the longest unbroken line. This is often used with sphere measurements. A section of the strip is considered continuous based on the following parameters:

Above: This value determines the number of pixels in the image that the next pixel is allowed to rise and still be accepted as part of a continuous line. The value indicates the number of millipixels above the current pixel that the filter will still use.

Below: This value determines the number of pixels in the image that the next pixel is allowed to fall and still be accepted as part of a continuous line. The value indicates the number of millipixels below the current pixel that the filter will still use.

Right: This value determines the number of permissible missing millipixels to the right of the current pixel and is still considered a continuous line.


Filter Type: Median

Median Filter Type

The Median filter smoothes laser stripe data by computing a new location for each pixel. For each pixel in the stripe, the median filter takes the nearest neighboring pixels, computes the median, and uses the median for the new location of the pixel.

Neighbor #: This value determines the number of total neighboring pixels considered when calculating a new location of any given pixel in a single stripe.

For example, if the number of neighbors is 9, then for each pixel in the stripe the filter will take four data points to the left and four data points to the right (for a total of 9 pixels, including the current one). It then computes the median, and uses it for the location of the current pixel.


Filter Type: Weighted Average

Weighted Average Filter Type

The Weighted Average filter smoothes stripe data by computing a new location for each pixel. For each pixel in the stripe, this filter will use a weighted average of its neighboring pixels to compute a new location. This is the default filter.

Neighbor #: This value determines the number of total pixels considered when calculating a new location of any given pixel in a single stripe.

Set Weights: This button sets the relative importance of a given pixel’s neighbor.

Use the up and down arrows for each of the pixel locations. Click OK to save your changes or Cancel to close without saving.


Filter Type: Inline

The Inline filter allows you to thin the data in the laser stripe. You specify the point Density along the stripe and the data returned to PC-DMIS will automatically be filtered according to the density specified.


Laser Probe Toolbox: Laser Pixel Locator Properties tab

Probe Toolbox - Laser Pixel Locator Properties tab

Only advanced users in specific situations should use the Laser Pixel Locator Properties tab.

The Laser Pixel Locator Properties tab uses various mathematical algorithms to change how the pixels comprising the stripe are accurately determined.

The algorithms operate on an image consisting of rows and columns of pixels. The laser stripe within that image illuminates a band of pixels. The pixel locator then computes the location of the true pixel in the image.

In the following pixel locator algorithms, PC-DMIS computes a surface point based on the illumination of a column of pixels in the image:

Gray Sum: If you select this locator type, PC-DMIS limits the data collection to the parts of the line that fall between the specified Min and Max values. These minimum and maximum limits are expressed as a percentage of the average intensity for each laser line. These limits can be used to improve the data quality for specific part geometry situations. See "Feature and Material Settings".

  • Material: This drop-down list allows you to select a predefined material type (Custom, Sheetmetal, White, Blue, Black and A aluminum) with its corresponding Min/Max values. Selecting a Material type will load the saved Min/Max values for the material type. Using the default option of Custom allows you to define a generic set of Min/Max values. If you modify the Min/Max values, the Material type will automatically switch to Custom.

  • Min: Any part of the laser line whose intensity falls below this value will not be used. In situations where the edges are important, you can reduce this value so more of the edge data is preserved as the laser wraps around the edges. For a shiny part with internal corners that cause reflections and noise in the data, this value can be increased to eliminate the "noise" generated by internal reflections.

  • Max: Any part of the laser line whose intensity exceeds this value will not be used. Some situations where a part has many contours which cannot be easily followed, the laser is strongly reflected causing localized over-exposures. Reducing this value may help to ensure that the overexposed areas do not provide bad data.

Fixed Threshold: If you select this locator type, PC-DMIS discards all the data below the threshold and it computes the actual pixel location as the center of gravity of the remaining pixels within the column.

Gradient: If you select this locator type, PC-DMIS computes the actual pixel location by looking at a column of pixels and finding where the slope changes direction. For each direction change PC-DMIS creates a pixel.

More:

Feature and Material Settings


Feature and Material Settings

Based on the feature type and the part material type the Exposure value found on the "Laser Probe Toolbox: Laser Scan Properties tab" and the Min and Max Gray Sum values found on the "Laser Probe Toolbox: Laser Pixel Locator Properties tab" should be adjusted according to the following table:

Exposure and Gray Sum Settings


Laser Probe Toolbox: Laser Clipping Region Properties tab

Clipping Region tab

The Laser Clipping Region Properties tab allows you to set parameters to discard data outside a specified region, within the sensors field of view. This lets you keep only pertinent data.

Keystone: The large green trapezoid in the Laser View (see below) that represents the sensor’s maximum field of view. The clipping region is within this field of view.

Clipping region: The smaller green trapezoid within the sensor’s field of view.

There are four Clipping Region areas: Top, Bottom, Left, and Right.

The Top, Left, Right, and Bottom boxes can be set with values from 0 to 100 percent that allow control over the clipping region. This lets you discard data that is not needed.

When the Bottom and Left values are at 0% and the Top and Right values are at 100%, the sensor will keep all of the data collected because the clipping region is the same as the maximum field of view.

Example of clipping data using Top 85, Right 85, Left 15, and Right 15

You can use the clipping region, for example, when measuring a hole. Since you wouldn’t want data from a neighboring hole to interfere with the feature computation, you can control the area that is clipped, thereby discarding the unwanted data.


Using Sound Events

Sound Events provide audible feedback in addition to the visual user interface. This allows you to perform measuring actions without needed to look at the PC screen. To access the Sound Events tab of the SetUp Options dialog box, select the Edit | Preferences | Setup menu item.

When working with a laser device there are Sound Event options that are particularly useful. They are:

Laser Manual Calibration Bottom: This sound is played when calibration measurements for a given field should be taken in the upper region of the sphere.

Laser Manual Calibration Field Counter: This sound is played to indicate in which field measurements should be taken during calibration.

  • 1 Beep - Far

  • 2 Beeps - Left

  • 3 Beeps - Right

Laser Manual Calibration Top: This sound is played when calibration measurements for a given field should be taken in the lower region of the sphere.

Laser Probe Initialization End: This sound is played when at the end of the laser sensor initialization.

Laser Probe Initialization Start: This sound is played when at the beginning of the laser sensor initialization.

Laser Scan: This sound is played for each new step of the sensor calibration.


Using the Laser View

You will use the Laser View tab during the laser probe calibration, scanning, and auto feature measurement. The Laser View tab of the Graphics Display Window helps you visualize what the sensor “sees”. It shows what information will be used. Remember, any data outside the clipping region rectangle will be disregarded during the scanning process. See the screenshot in “Laser Probe Toolbox: Laser Clipping Region Properties tab” for more information.

Graphics Display Window - Laser View tab

Click the Start/Stop button [image] to toggle the on or off state of the laser as viewed from the Laser View. When any changes have been made in the Probe Toolbox, you will need toggle the laser state for the changes to be applied in the Laser View.

Click the Toggle AutoExposure button [image] to determine if PC-DMIS will automatically adjust the exposure of a Perceptron sensor.

In the case that you are using the Metris XC sensor, you will have three additional buttons numbered 1-3. The Metris XC has three lasers inside and the buttons allow you to select which laser is active in the Laser View tab. Select the 1, 2 or 3 buttons [image] to specify which laser info you would like to view.


Using Pointclouds

The Cloud of Points command (COP) allows you to store XYZ coordinate data that can come directly from a laser sensor through referring scan command(s). You can also input data directly into a COP from other PC-DMIS features or external data files (XYZ, IGES, or PSL).

Adding Pointclouds to your part program can be done in a variety of different ways:

  • Select the Display Menu Roadmap Insert | Pointcloud | Feature menu item to open the Pointcloud dialog box.

  • Manually type the COP command into the Edit Window. See "COP Command Mode Text". Pressing F9 on the COP command in the Edit Window will open the Pointcloud dialog box.

  • Click the Pointcloud button [image] from the Pointcloud toolbar to open the Pointcloud dialog box.

See the "Manipulating Pointclouds" topic for information on manipulating Pointclouds from the Pointcloud dialog box.

PC-DMIS uses additional, laser probe related commands and tools that support Pointcloud functionality. They are:

  • Pointcloud Operators

  • Pointcloud Alignments

  • Pointcloud Point Information

  • Pointcloud Operations Steps Window

Note: Your portlock must be programmed with the COP option to use COP capability. Also, you will not be able to use COP commands if your portlock is programmed with Vision options. Vision should be disabled when using Laser.

More:

Manipulating Pointclouds

COP Command Mode Text

Pointcloud Point Information

Pointcloud Operations Steps Window


Manipulating Pointclouds

Pointcloud dialog box

The Pointcloud dialog box will only have an effect if the COP command contains data.

The Pointcloud dialog box contains the following elements:

  • ID - Contains a unique identity of the pointcloud command being edited.

  • Size - Total size of the pointcloud.

  • Color - Allows you to use a different color for the display of the color map. To change the pointcloud color, select the Color check box and then click on the Color box to select the needed color from Color dialog box.

  • Tessellate - Select this check box to tessellate the pointcloud. This may improve the quality of the displayed pointcloud.

  • Commands List - This area contains the list of features or scans that send data to the COP command in the dialog box.

  • Point Info - When clicking on a pointcloud point in the graphics window, a dialog box opens with information about the point with respect the alignment. This box contains the Point ID, Point ID Coordinates, estimated normal of the Point ID. The corresponding CAD points are also displayed with CAD coordinates and CAD normal. Finally, the deviation between the Point and CAD is shown with the scale specified in the dialog. Point selection has no associated COPOPER command.

  • Purge / Reset - The Reset button restores all the data stored in a COP command. The Purge button permanently deletes all the data in a cloud of points that is not currently shown, selected, or filtered. This causes the cloud of points to only keep the visible data.

See "Pointcloud Point Information" for information on viewing Pointcloud point deviation information.


COP Command Mode Text

The COP command inside the Edit window’s Command Mode looks like this:

COP1 =COP/DATA,SIZE=0
REF,,

The COP command must precede any scan referring to it in the part program.

For example REF,SCN2 below points to the SCN2 scan and will use its data:

COP2 =COP/DATA,SIZE=0
REF,SCN2,,

You can have more than one scan refer to a COP command.


Pointcloud Point Information

When the Pointcloud dialog box is open, you can view point specific information by clicking on the needed point in the Graphics Display window. This opens the Pointcloud Point Information dialog box.

Pointcloud Point Information dialog box

From this dialog box you can view the XYZ and the Normal point vector values for the Pointcloud point as well as the ID for the selected point. The corresponding XYZ and Normal vector values are also displayed.

Deviation: Displays the distance from the Pointcloud point to the corresponding CAD point.

Scale: This value determines the scale at which the deviation arrow will be displayed in the Graphics Display window. For example, A scale of 10 would display an arrow with a length that is ten times the length of the deviation.

The deviation arrow is displayed when you select a point form the Graphics Display window. The arrow indicates the direction of the point deviation from the CAD.

Point Deviation Arrow

Create Constructed Point: When this check box is selected, a constructed point will also be created for the selected point. The constructed point is named with the following convention and added to the part program: <pointcloud name>_P<point ID> (e.g. COP1_P185048)

Constructed Point from Pointcloud

Using Point Data for Auto Features

When the Auto Feature dialog box is open, you can provide input data for the given auto feature by clicking the needed points from the pointcloud. See "Auto Feature Extraction" for more information.


Pointcloud Operations Steps Window

The Pointcloud Operations Steps window allows you to apply and review any changes that would occur as a result of any Pointcloud Operators before adding them to the part program. Pointcloud Operator commands are added as steps to this window when it is open. Otherwise, COPOPER commands will be added directly to the part program. Operation steps are stored in the COP.

Pointcloud Operations Steps dialog box

When you select and deselect steps from the window, the statistical results are displayed at the bottom of the Pointcloud Operations Steps window. Information such as the number of visible points, the operator type and operator parameters are displayed. The display of the Pointcloud points is also altered in the Graphics Display window to reflect the change. In this way you are able to review the results of the reduced points as each Pointcloud operator is applied.

Step List Popup Menu Options

Delete: Right-click and select Delete or press the Del key to delete the selected Pointcloud or Pointcloud Operator step.

Edit: Right-click and select Edit or press the F9 key to delete the selected Pointcloud or Pointcloud Operator step.

Insert in Edit Window: Right-click and select Insert in Edit Window or press the Ins key to insert the selected Pointcloud or Pointcloud Operator step into the part program.

Status Window Popup Menu Options

Undo, Cut, Copy, Paste and Delete: Right-click in the status window and select these options to perform standard windows operations.

Select All: Right-click in the status window and select this menu item to high-light the status message.

Right to left Reading order: Status messages are displayed right to left when this option is selected.

Show Unicode control characters: Status messages are displayed with unicode characters when this option is selected.

Insert Unicode control character: From this sub-menu, you can insert control characters.


Pointcloud Operators

The Pointcloud Operator command (COPOPER) performs different operations on Cloud of Point (COP) commands and other COPOPER commands.

Adding Pointcloud Operators to your part program can be done in a variety of different ways:

  • Select the Insert | Pointcloud | Operator menu item.

  • Select menu items from the following submenus:

  • File | Import | Pointcloud: Import from data files to a COP.

  • File | Export | Pointcloud: Export to data files from a COP.

  • Insert | Pointcloud: Add a basic pointcloud command from this sub-menu. Command include COP, COPOPER and specific COPOPER commands (Cross Section, Face Colormap or Point Colormap) which alter the display of Pointclouds in the Graphics Display window.

  • Operation | Pointcloud: Alter the number of points that are included in COP or COPOPER commands. Items is this submenu include: Clean, Empty, Filter, Purge, Reset, and Select.

  • Manually type the COPOPER command into the Edit Window. Pressing F9 on the COPOPER command in the Edit Window will open the Pointcloud Operator dialog box.

  • Click the needed Pointcloud Operator button from the Pointcloud toolbar to open the associated Pointcloud Operator dialog box. The Pointcloud Operator will be applied to the

Note: Your portlock must be programmed with the COP option to use COPOPER capability. Also, you will not be able to use COPOPER commands if your portlock is programmed with Vision options. Vision should be disabled when using Laser.

More:

Manipulating Pointcloud Operators

Boolean COPOPER

Clean COPOPER

Complement COPOPER

Cross Section COPOPER

Empty COPOPER

Export COPOPER

Face Colormap COPOPER

Filter COPOPER

Import COPOPER

None COPOPER

Point Colormap COPOPER

Purge COPOPER

Reset COPOPER

Select COPOPER


Manipulating Pointcloud Operators

Pointcloud Operator dialog box

The Pointcloud Operator dialog box contains the following elements:

  • ID - Contains a unique identity of the pointcloud operator command being edited.

  • Pointcloud Size - This area contains the Total size of the pointcloud operator selected in the list box. The Reduced size and the percentage (%) of reduction in size are also shown.

  • COP and COPOPER list - This area lists the COP or COPOPER commands that send data to the COPOPER command in the ID box.

  • Reset - Restores all the data stored in a COP command.

  • Apply - Applies the operator to the COP or COPOPER commands selected.

  • Operator - This area contains a drop-down list for the selection of the type of operator. Depending on the type of operator selected, more options become available in the dialog box. The following Operator types are available:

    • Boolean COPOPER

    • Clean COPOPER

    • Complement COPOPER

    • Cross Section COPOPER

    • Empty COPOPER

    • Export COPOPER

    • Face Colormap COPOPER

    • Filter COPOPER

    • Import COPOPER

    • None COPOPER

    • Point Colormap COPOPER

    • Purge COPOPER

    • Reset COPOPER

    • Select COPOPER


Boolean COPOPER

Pointcloud Operator dialog box - Boolean Operator

This operation is applied on one or two COPOPER commands referring to the same COP command.

Applying the Boolean operation to a Pointcloud can be done by clicking the Pointcloud Boolean Operation button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Boolean menu item.

The Boolean Operator uses the following option:

  • Type – Indicates the type of Boolean operator to apply: INTERSECT, UNITE, DIFFERENCE or COMPLEMENT.

UNITE – When applied to COPOPER1 and COPOPER2, the UNITE type generates a set of data points containing all the points in COPOPER1 and COPOPER2.

INTERSECT – This type generates the set of data points that have the same locations in COPOPER1 and COPOPER2.

DIFFERENCE – This type removes from COPOPER1 all the points that are in common with COPOPER2.

COMPLEMENT – This type generates the points that are not visible in COPOPER1 and is applied on one single COP or COPOPER command

Clicking Create after editing the command inserts a COPOPER/BOOLEAN SECTION command into the Edit Window like the following example:

COPOPER5 =COPOPER/BOOLEAN,UNITE,SIZE=0

REF,COPOPER2,COPOPER3,,


Clean COPOPER

Pointcloud Operator dialog box - Clean Operator

This operation is used to eliminate outliers by using the distance of the points to the CAD model of the part. If the distance of a point is greater than the value of MAX DISTANCE the point is considered an outlier or not belonging to the part.

Applying the Clean operation to a Pointcloud can be done by clicking the Clean Pointcloud button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Clean menu item.

The Clean Operator uses the following option:

  • Max Distance – Indicates the maximum distance of a point to the CAD model for which the point is considered an outlier.

Clicking Create after editing the command inserts a COPOPER/CLEAN command into the Edit Window like the following example:

COPOPER5 =COPOPER/CLEAN,MAX DISTANCE=0.005,SIZE=0

REF,COPOPER2,,


Complement COPOPER

This operation hides all data that was shown and brings back all the data that was hidden.

For example, if you had 10,000 data points in a COP command, and it was filtered to 3000 points in a COPOPER command. The COPOPER/COMPLEMENT command would take the 7,000 data points that weren’t used in that referenced COPOPER command.

You can use this with selections. If you select with a box, complement lets you determine whether or not you select the data inside the box or outside the box. If you have an entire cloud of points, the complement of it is an empty set. The complement of an empty set, is the entire cloud of points.

Clicking Create inserts a COPOPER/COMPLEMENT command into the Edit Window like the following example:

COPOPER9 =COPOPER/COMPLEMENT,SIZE=0

REF,COPOPER4,,

The Pointcloud Operator dialog box allows you to select the complement by choosing the "Complement" Operator and clicking Apply.


Cross Section COPOPER

Pointcloud Operator dialog box - Cross Section Operator

This operation generates a subset of polylines determined by the defined intersection of a set of parallel planes with the cloud of points. The set of planes is defined by the start point, the direction vector, the step distance between the planes and the length.

Note: The Cross Section operator can be evaluated by the profile dimension.

Applying the Cross Section operation to a Pointcloud can be done by clicking the Cross Section Pointcloud button from the Pointcloud toolbar or by selecting the Insert | Pointcloud | Cross Section menu item.

The Clean Operator uses the following options:

  • Start Point - Indicates the coordinates of a point belonging to the first plane cutting the pointcloud. It can be defined by the first and second clicks on the graphics window. In the actual Edit window command, the start point value is held in the START PT parameter.

  • Direction - This value indicates the direction of the normal vector. In the actual Edit window command. It can be defined by the first click on the graphics window, the Direction value is held in the NORMAL parameter.

  • Step - This value indicates the distance between the planes. In the actual Edit window command, the step value is held in the INCREMENT parameter.

  • Length - This value indicates the maximum distance between the first and last plane, the length value is held in the LENGTH parameter.

  • Delta - This value indicates the maximum distance from the plane for a point to be considered part of the cross section. In the actual Edit window command, the Delta value is held in the TOLERANCE parameter.

  • View - Click View to display the points that PC-DMIS will use to generate the cross sections before generating the polyline. Points in the point cloud that will not be used will be hidden. The usable points are displayed within the Graphics Display window.

Clicking Create inserts a COPOPER/CROSS SECTION command into the Edit Window like the following example:

COPOPER2 =COPOPER/CROSS SECTION, INCREMENT=10.0, TOLERANCE=0.05, LENGTH = 100

START PT = 0, 0, 0, NORMAL = 1,1,1

REF, COP1,

The Pointcloud Operator dialog box also lets you set these. For INCREMENT, specify the value in the Step box. For LENGTH, specify the value in the Length box. For TOLERANCE, specify the value in the Delta box. For START PT specify the point using START POINT boxes. For NORMAL, specify the vector using the Direction boxes.


Empty COPOPER

This operation deletes all the data contained in a COP command. When this command is executed, PC-DMIS removes the data of the associated COP.

Applying the Empty operation to a Pointcloud can be done by clicking the Empty Operation button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Empty menu item.

Clicking Create inserts a COPOPER/EMPTY command into the Edit Window like the following example:

COPOPER10 =COPOPER/EMPTY,SIZE=0

REF,COP2,,

Warning! Once this command has been applied to a COP there is no way to restore COP data that was removed. Undo will not restore this data.


Export COPOPER

Pointcloud Operator dialog box - Export Operator

This operation exports the data in a COP or COPOPER command in a specified Format to an external file. The dialog of this operation is similar to IMPORT.

Applying the Export operation to a Pointcloud can be done by clicking one of Export buttons (XYZ,IGES, or PSL) from the Pointcloud toolbar or by selecting one of the menu items from the File | Export | Pointcloud submenu.

The Export Operator uses the following options:

  • Type - Indicates the type of format to which data is exported. It can be XYZ, IGES or PSL (Polyworks) type.

  • Filename - Indicates the filename of the export file.

Clicking Create inserts a COPOPER/EXPORT command into the Edit Window like the following examples:

COPOPER2=COPOPER/EXPORT,FORMAT=IGES,FILENAME=D:/DATAOUT.IGS,SIZE=0

REF,COP1,

Specify the format in FORMAT and the output filename in FILENAME and then reference the COP command holding the data. If a filter has been applied to the COP command, then the COPOPER/FILTER command should be referenced for export rather than the original COP command. For Example, REF, COPOPER1, rather than REF, COP1,. This will ensure that the exported file reflects the filter set.

COPOPER2=COPOPER/EXPORT,FORMAT=IGES,FILENAME=D:/DATAOUT.IGS,SIZE=0

REF,COPOPER1,


Face Colormap COPOPER

Pointcloud Operator dialog box - Face Colormap Operator

The CAD model is shaded according to the deviations of the cloud of points compared to CAD using the colors defined in the Edit Dimension Color dialog box and the tolerance limits specified in the Tol. Up and Tol. Down boxes below.

The colors used for the color map are defined in Edit Dimension Color dialog box, which is accessed by clicking Edit | Graphics Display Window | Dimension Color.

You can view the color scale from the Dimensions Colors window by selecting the View | Other Windows | Dimensions Colors menu item.

Applying the Face Colormap operation to a Pointcloud can be done by clicking the Pointcloud Surface Color Map button from the Pointcloud toolbar or by selecting the Insert | Pointcloud | Surface Colormap menu item.

The Face Colormap Operator uses the following options:

Tol. Up - Upper tolerance value

Tol. Down - Lower Tolerance value

Refine Factor - Adjust this value to improve Colormap display

Max Distance - This value allows to discard the effect on the colormap of points located at a distance greater than the specified Max Distance.

No Data Color - When this option is selected, the specified color will be mapped to the surface where there is no data.

Clicking Create inserts a COPOPER/FACE COLORMAP command into the Edit Window like the following examples:

COPOPER6 =COPOPER/FACE COLORMAP,PLUS TOLERANCE=0.300,MINUS TOLERANCE=0.100

REF,COP1,


Filter COPOPER

Pointcloud Operator dialog box - Filter Operator

This operation filters data to a smaller subset of points.

Applying the Filter operation to a Pointcloud can be done by clicking the Filter Pointcloud button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Filter menu item.

The Filter Operator uses the following options:

  • Type – Indicates the type of Filter operator to apply: NONE, UNIFORM, RANDOM, CURVATURE or DISTANCE.

NONE – PC-DMIS does not filter the point data.

UNIFORM – Generates a subset of points distributed evenly in the X, Y, and Z directions. It will produce the same effect as a regular grid in 2D, but in this case the effect is a 3D grid.

RANDOM – Generates a subset of points randomly distributed in the pointcloud.

CURVATURE – Generates a subset of points with the highest estimated curvatures, mainly around edges, vertices, and highly curved areas of the surface.

DISTANCE – Generates a subset of points where points are at least the specified Distance value apart from each other.

  • Distance – Specifies the distance for the distance filter.

To filter COP data:

  1. Select a filter type from the Type list.

  2. Select the Pointcloud command you want to apply the filter to form the list of commands

  3. Specify the number of points or percentage of points to keep after applying the filter in the Reduced or % boxes. This does not apply to the Distance filter.

  4. Click the Apply button.

PC-DMIS filters the data and the Graphics Display window shows the result. The size of the filtered data may differ slightly from the value that you specified. It is even more noticeable when the program is executed and the data is collected from scan commands. It is generally impossible to get the same number of points from a laser sensor that is repeatedly scanning the same entity.

  5. When you are satisfied with the result, push the Create button. PC-DMIS adds a COPOPER/FILTER command to the part program containing all the information regarding the filter that you just applied.

Clicking Create inserts a COPOPER/FILTER command into the Edit Window like the following examples:

COPOPER3=COPOPER/FILTER,UNIFORM,SIZE=3000

REF,COP1,,

In the example above, if the initial size of COP1 was 10,000 points, the filter replaces the 10,000 points held in COP1 with the filtered 3,000 points, so that COP1 now holds the filtered 3,000 points for its cloud of points. PC-DMIS flags the 7000 points it didn’t use, so that you can undo the filter operation, using the COPOPER/RESET operation. Or if you desire, you can permanently purge the 7000 points not used using the COPOPER/PURGE operation. See “Reset COPOPER” and “Purge COPOPER” for more information.


Import COPOPER

Pointcloud Operator dialog box - Import Operator

This operation imports data from an external file into a COP command in a specified Format. The dialog of this operation is similar to EXPORT.

Applying the Import operation to a Pointcloud can be done by clicking one of Import buttons (XYZ or PSL) from the Pointcloud toolbar or by selecting one of the menu items from the File | Import | Pointcloud submenu.

The Import Operator uses the following options:

  • Type - Indicates the type of format from which data is imported. It can be XYZ, or PSL (Polyworks) type.

  • Filename - Indicates the filename of the export file.

Clicking Create inserts a COPOPER/IMPORT command into the Edit Window like the following examples:

COPOPER1=COPOPER,IMPORT,FORMAT=XYZ, FILENAME=D:/DATAIN.XYZ,SIZE=0

REF,COP1,


None COPOPER

This is the default for the COPOPER command. It does not perform any operation and merely acts as a place holder until you change the NONE to a valid operation.

Clicking Create inserts a COPOPER/NONE command into the Edit Window like the following examples:

COPOPER1=COPOPER/NONE,SIZE=0


Point Colormap COPOPER

Pointcloud Operator dialog box - Point Colormap Operator

This operation evaluates the deviations of the data points contained in a COP command compared to a CAD object. The deviations can be represented by colored dots, colored needles showing the actual deviations or the numerical value of the deviations. The plus and minus tolerance, the size of the dots, the scale to be used for the needles and the initial manual alignment need to be specified.

Applying the Point Colormap operation to a Pointcloud can be done by clicking the Pointcloud Point Color Map button from the Pointcloud toolbar or by selecting the Insert | Pointcloud | Point Colormap menu item.

The Point Colormap Operator uses the following options:

Dots - Colored dots

Size - Size of the dots

Needles - The scaled deviation (using Scale value below) as a colored line segment normal to CAD

Scale - Scale value to be used for the needle representation

Text - The numerical value of the deviation

Tol. Up - Upper tolerance value

Tol. Down - Lower Tolerance value

Clicking Create inserts a COPOPER/POINT COLORMAP command into the Edit Window like the following examples:

COPOPER6 = COPOPER/POINT COLORMAP,PLUS TOLERANCE=0.100,MINUS TOLERANCE=-0.100, DOT SIZE=1.000,NEEDLE SCALE=10.000,SHOW DOTS=YES,SHOW LABELS=NO,SHOW NEEDLES=NO,SIZE=0

REF,COP1,


Purge COPOPER

This operation removes from the COP command referenced in the COPOPER all data points that do not belong to the COPOPER command. It is irreversible and affects all other COPOPER commands referring to same COP container.

Applying the Purge operation to a Pointcloud can be done by clicking the Purge Pointcloud button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Purge menu item.

Clicking Create inserts a COPOPER/PURGE command into the Edit Window like the following examples:

COPOPER8 =COPOPER,PURGE,SIZE=0

REF,COPOPER1,,


Reset COPOPER

This operation has a behavior similar to Undo and resets the data referred to in a previous COPOPER command so that the new COPOPER command represents all the data of the referred COP command and not only a subset.

Applying the Reset operation to a Pointcloud can be done by clicking the Reset Pointcloud button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Reset menu item.

Clicking Create inserts a COPOPER/RESET command into the Edit Window like the following examples:

COPOPER7 =COPOPER,RESET,SIZE=0

REF,COPOPER2,,


Select COPOPER

Current Help System: PC-DMIS Laser (View Core Help)

SELECT

Pointcloud Operator dialog box - Select Operator

This operation selects a subset of data contained in a COP command.

Applying the Select operation to a Pointcloud can be done by clicking the Select Pointcloud button from the Pointcloud toolbar or by selecting the Operation | Pointcloud | Select menu item. By default, the Polygon selection method is used when applying the Select Operator from the Pointcloud toolbar.

To select a region of points:

  1. Select the desired option button inside the dialog box:

BOX

CIRCLE

SPHERE

POLYGON

Note: Press the End key to close the polygon selection.

  2. Select the Pointcloud command you want to apply the selection to form the list of commands.

  3. Make the selections that define your selection type by clicking and dragging in the CAD in the Graphics Display window. The axis of the selection entities should be perpendicular to the current view. Use “Table 1” as a guide for what you should select.

  4. Select In if you want to keep the points inside the selection domain and Out if you want to keep the points outside the selection domain

  5. After clicking the necessary points in the Graphics Display Window to define the selection type, click the Apply button. The points inside/outside the selected domain are displayed by PC-DMIS in the Graphics Display window.

  6. When you’re finished, click Create. PC-DMIS will insert a COPOPER/SELECT command. See “COPOPER/SELECT”.

If you want to select the complement data instead, after you click Select, click the Complement button, and then click the Create button. PC-DMIS creates COPOPER/COMPLEMENT command in the Edit window. See “COPOPER/COMPLEMENT”.

Table1
Type | Points Needed
Box | Select two corners
Circle | Select the center and a point specifying the radius of the circle.
Sphere | Click one point. PC-DMIS projects it onto the cloud of points to find the closest point. This represents the center of the selected sphere. Click another point. PC-DMIS uses this second point to determine the radius of the sphere.
Polygon | Select the vertices of the polygon. Press the End key to close the polygon.
Point | Click on the point of the cloud of points you want to select

When selecting a Point, a dialog box opens with information about the point. This box contains the Point ID, Point ID Coordinates, estimated normal of the Point ID. The corresponding CAD points are also displayed with CAD coordinates and CAD normal. Finally, the deviation between the Point and CAD is shown. Point selection has no associated COPOPER command.

Clicking Create inserts a COPOPER/SELECT command into the Edit Window like the following examples:

COPOPER4 =COPOPER/SELECT,BOX,SIZE=27377

REF,COP1,,


Pointcloud Alignments

Pointcloud/CAD Alignment dialog box

In order to use the data you’ve collected in your clouds of points properly, you need to create an alignment between the pointclouds and the CAD data with your part model. You can do this using the Pointcloud/CAD Alignment dialog box.

To access this dialog box,

  • From the main menu:

  1. Select the Display Menu Roadmap Insert | Alignment | New menu option.

  2. Click Align COP.

Note: The Align COP button will not be available if there is no imported CAD of COP commands in the part program, since these elements are required to align the pointclouds to CAD.

  • From the Edit Window’s Command mode between the ALIGNMENT/START and the ALIGNMENT/END commands:

  1. Type COPALIGN in the Edit window’s Command mode.

  2. Press ENTER to insert the command.

  3. Place your cursor on the COPALIGN command and press F9.

The Pointcloud/CAD alignment dialog box allows you to easily work with COPALIGN commands to correctly align pointclouds with your CAD.

More:

Creating a Pointcloud/CAD Alignment

COPALIGN Command Mode Text


Creating a Pointcloud/CAD Alignment

Current Help System: PC-DMIS Laser (View Core Help)

Creating a Pointcloud/CAD Alignment:

The first step in the alignment process is to perform a rough alignment to bring the pointcloud close enough to CAD (if not already close) to be able to refine the alignment further if needed. There are three types of refinements: UNIFORM, RANDOM and FACE. The Pointcloud/CAD Alignment dialog box can be used for the purpose. It contains the following main areas:

  • COP

  • Rough Alignment

  • Refined Alignment


COP

The COP area contains a unique identity of the pointcloud command to be aligned.


Rough Alignment

The Rough Alignment area contains buttons for the selection of points on the pointcloud and their corresponding points on CAD. The points are shown in the list boxes: Pointcloud Points and CAD Points. Num. of Pairs defines the number of pairs of points to be selected. The minimum number allowed is 6. The Deviation area shows both the average and maximum deviations between the CAD/pointcloud pair of points after the rough alignment is performed.

To select the rough alignment point pairs:

  1. Specify the number of needed pairs in the Num. of Pairs box.

  2. Select either CAD or Pointcloud points by clicking on the + button and then clicking on the point in the Graphics Display Window that you want to associate to that number. The corresponding Pointcloud or CAD point should be assigned to the same number.

  3. Continue assigning each point in any order until finished. You may want to select the Pointcloud point and then select the corresponding CAD point.

  4. To remove an existing point, select the point’s ID in the list box and click the – button.

  5. To modify an existing point, select the point’s ID in the list box and click the + button and click on the new location in the Graphics Display Window.

  6. Once the selection is finished click on Apply and the best fit transformation between CAD and Pointcloud points is computed and applied to the pointcloud

  7. Undo button will undo the last alignment.

  8. Deviation gives an idea about the quality of the alignment


Refined Alignment

The Refined Alignment area allows for a more refined alignment to occur. This consists of the following items:

  • Type list box - None, Face, Uniform and Random types can be selected.

  • Num. Points box - Defines the number of pairs of CAD/Pointcloud points to be used for the Refined Alignment of Random and Uniform point types. In case Face type is used, this box shows the number of pairs that have been used in this type of alignment. 6 is the minimum number that can be used.

  • Deviation area - This are shows the Average and Maximum deviations between the CAD and Pointcloud pairs after the Refined Alignment is performed.

  • Apply executes the alignment.

  • Undo resets the alignment.

In order to be able to obtain a good Refined Alignment the pointcloud points should be close enough to the CAD points through the initial rough alignment described above.


COPALIGN Command Mode Text

The COPALIGN command allows you to align clouds of points with your CAD data.

F1=COPALIGN/REFINE = NONE,n,

ROUGH ALIGNPAIR/

THEO/x,y,z,i,j,k,

MEAS/x,y,z

REF,,

n represents the number of points to be used for RANDOM and UNIFORM types and the number of points used for FACE type.

The different types of REFINE in COPALIGN commands are:

  • NONE - In this no refined alignment is performed

  • RANDOM - In this case n points randomly selected in the cloud of points are used to refine the alignment by projecting them on CAD and determining the best fit transformation which is then used to align the cloud of points to CAD.

  • FACE - This type of refinement is done with respect to planar faces in the CAD model. Points from the cloud of points located within a certain distance from each planar face are selected and used in a way similar to the above cases.

  • UNIFORM - Same as above except for the way points are selected, which in this case are selected uniformly in the cloud of points.

ROUGH ALIGNPAIR/

THEO/x,y,z,i,j,k,

MEAS/x,y,z

A set of at least 6 rough alignment pairs of points is defined/selected graphically. THEO/ represents the point on CAD and MEAS/ the corresponding point on the cloud of points. These pairs are used to determine a rough transformation between CAD and the pointcloud which will allow the cloud of points to come close enough to CAD to allow further refinements of the alignment.

REF,,

Defines the COP command to be aligned.


Extracting Auto Features from Pointclouds

Laser Auto Features can be extracted from scanned Pointcloud data. Once the Auto Features are set up, this allows you to simply scan the part and Auto Feature information will be extracted from the scan. Multiple Auto Features can be included and extracted from a single Pointcloud.

Review the following topics to execute Auto Feature extraction from manual scans:

  • Defining a Laser Auto Feature by Clicking on a Pointcloud

  • Executing Scan-Extracted Auto Features

See "Laser Probe Toolbox: Feature Extraction tab".


Defining a Laser Auto Feature by Clicking on a Pointcloud

Often, users will define Auto Features by clicking on the CAD. In the case where no CAD exists, you can perform a scan of the part, and then click on the individual point cloud points to define your Auto Feature.

To define an Auto Feature from Pointcloud points:

  1. Scan the surface of the part in which the needed Auto Feature exists.

  2. Click the needed Auto Feature from the Auto Feature toolbar or the Insert | Feature | Auto sub-menu. This opens the Auto Feature dialog box.

  3. Select measured points from the Pointcloud that best define the feature's nominal position. PC-DMIS will define the Auto Feature from the selected Pointcloud points.

The following table shows the number of points that are needed to define an Auto Feature's location.

Selecting Points to Define Auto Features
Surface Point | Select one point at the needed location within the measured surface area.
Edge Point | Select one point at the needed location along the measured edge.
Plane | Select at least three points that best define the needed plane's nominal position.
Circle | Select at least three points around the perimeter of the measured circle.
Round Slot | Select three points along one of the slot's arcs then select another three points along the other arc.
Square Slot | Type the slot's nominal Width in the Auto Feature dialog box. Select two points along a long side of the slot. Select one point on a short side of the slot. Select one point on the other long side of the slot. Finally, select one point on the other short side of the slot.
Flush and Gap | Select a point on each side of the gap.
Cylinder | Select three points for each of two circles that define the extents of the cylinder's form and length.
Sphere | Select at least five points around the surface of the measured sphere.


Executing Scan-Extracted Auto Features

When executing manual scans from which Auto Features will be extracted, you should do the following:

When executing manual scans with the extracted Auto Features, you should do the following:

  1. Scan the Auto Features in you part program in any order. This can be accomplished with one or more passes. After the first pass, if the scan’s Pointcloud points have changed for a feature, then the feature's measured values will be recalculated.

  2. When all the Auto Features associated with the scan have solved successfully, the command in the Edit Window will be highlighted in yellow.

  3. When Auto Features have solved and have been reported correctly, the command in the Edit Window will be highlighted in green.

  4. If additional scan data is taken for a feature that has already been solved, the feature's measured values will be updated again with the new solution.

  5. Once all of the included Auto Features have been solved, you may choose to continue scanning to further refine the measured results or you can click the Scan Done button from the Execution Mode Options dialog box. This may also be accomplished by pressing the done button on your arm.

Note: The Scan Done button will not be available until all the included Auto Features have been measured successfully.

See the "Using Pointclouds".


Creating Auto Features with a Laser Probe

PC-DMIS Laser allows you to create certain auto features with your laser probe. These include:

  • Laser Surface Point

  • Laser Edge Point

  • Laser Plane

  • Laser Circle

  • Laser Slot

  • Laser Flush and Gap

  • Laser Cylinder

  • Laser Sphere

This topic only discusses auto features as they are used with Laser probe operation. For detailed information on auto features, consult the "Creating Auto Features" section in the main PC-DMIS help file.

More:

Common Laser Auto Feature Dialog Box Options


Common Laser Auto Feature Dialog Box Options

In PC-DMIS Laser, the Auto Feature dialog box works along side the Probe Toolbox, to create a complete laser auto feature command. To edit an auto feature, you can use the Edit window and modify the command there, or you can change parameters inside the Auto Feature dialog box and the Probe Toolbox. See “Using the Laser Probe Toolbox:” for information on the toolbox.

The following Auto Feature dialog box options are common to all the supported Laser Auto Feature types and are discussed briefly for each of the dialog box areas. Options used for specific auto features are discussed in their respective sections. For additional information, see the "Common Auto Feature Dialog Box Options" topic in the core PC-DMIS help file.

  • Feature Properties Area

  • Measurement Properties Area

  • Advanced Measurement Options Area

  • Analysis Area

  • Command Buttons


Feature Properties Area

X YZ Center or Point: These boxes show the feature’s XYZ center or point location in part coordinates.

IJK Surface, Edge, Slot or Gap Dir (Vector): These boxes allow you to set the surface normal vector, edge vector, slot vector or gap direction of the feature.

Polar/Cartesian Toggle: This button toggles the display between polar and Cartesian modes.

Find Nearest CAD: When you select an axis (X,Y, or Z) from one of the Center boxes and click this button, PC-DMIS finds the closest CAD element in the Graphics Display window to that axis.

Point Read From Machine: When you click this button, PC-DMIS uses the XYZ location of the machine for the feature’s XYZ coordinates.

* Find Vector: This button will pierce all surfaces along the XYZ point and IJK vector looking for the closest point. The surface normal vector will be displayed as the IJK NOM VEC but the XYZ values will not change. Note: This option is only available for Surface and Edge Point features.

Flip Vector: This button flips the surface normal vector. For example, 0,0,1 would flip to 0,0,-1.

Use Thickness: This button applies a thickness to a feature. When this button is selected you can then specify whether to use actual or theoretical values and provide the value for the thickness.

* Swap Vectors: Clicking this button causes the current edge vector and surface vector to switch vectors with each other. Note: This option is only available for Edge Point features.


Measurement Properties Area

For information about the specific parameters that configured in this section see the following topics:

  • Surface Point Specific Parameters

  • Plane Specific Parameters

  • Circle Specific Parameters

  • Slot Specific Parameters

  • Flush and Gap Specific Parameters

  • Cylinder Specific Parameters

  • Sphere Specific Parameters

Measure Now: This toggle button determines whether or not PC-DMIS measures the feature when you click Create.

Re-Measure: This toggle button determines whether or not PC-DMIS automatically re-measures the feature a second time once the feature has been measured. It will use the measure values from the first measurement as the target locations for the second measurement.

Auto Wrist: This toggle button will cause the probe orientation to move to a vector that closely corresponds to the surface vector of the Auto Feature.

View Normal: – Clicking this button orients that CAD so that you look down on the feature.

View Perpendicular: Clicking this button orients the CAD so that you look at the side of the feature.

Probe Toolbox Toggle: Shows/Hides the Probe Toolbox with the settings for the feature represented in the Auto Feature dialog box.


Advanced Measurement Options Area

Best Fit Math Type

A Laser Auto Feature Circle also allows you to define the Best Fit Math Type. This is discussed in the "Best Fit Type" topic of the core PC-DMIS help file. Valid options for the Perceptron system are Maximum Inscribed, Minimum Circumscribed and Least Squares.

Relative to

This allows you to keep the relative position and orientation between a given feature (or features) and the auto feature. Click the [image] button to open the Relative Feature dialog box to select the feature or features to which the auto feature is relative. Multiple features can be defined for each axis (XYZ) relative to your auto feature.


Analysis Area

The Analysis area allows you to determine how each measured hit/point is displayed.

Pt. Size: Determines how big the measured points will be drawn in the Cad View. This value specifies the diameter, as is specified in current units (mm or inch).

Graphic Analysis button [image]: When switched on, PC-DMIS will do a tolerance check on each point (how far from theoretical position it is), and draw them in the appropriate based on the current defined dimension color range.

+ Tol: This provides the positive tolerance from the nominal, and is specified in current part program units. Points that are greater than this value from the nominal will be colored based on the standard PC-DMIS plus tolerance color. See the "Editing Dimension Colors" topic in the PC-DMIS Core help file.

- Tol: This provides the negative tolerance from the nominal, and is specified in current part program units. Points that are less than this value from the nominal will be colored based on the standard PC-DMIS negative tolerance color. See the "Editing Dimension Colors" topic in the PC-DMIS Core help file.


Command Buttons

This button expands the Auto Feature dialog box to show additional, more advanced, auto feature options.

This button hides the more complex features of the Auto Feature dialog box.

This button moves the field of view of the Graphics Display window and centers it on the features XYZ location. If the feature is comprised of more than on point (such as a line), then clicking this button switches between the points making up the feature. For a laser slot auto feature the field of view moves to the center of the slot feature.

This button tests the auto feature before PC-DMIS creates it. For laser features, the machine will scan over the feature and calculate the measured value for the feature.

This button creates the auto feature and the Auto Feature dialog box remains open.

This button closes the Auto Feature dialog box without creating a feature.


Laser Surface Point

Surface Point Auto Feature

To measure a square surface point with a laser probe:

  1. Access the Auto Features dialog box, and select Surface Point.

  2. Do one of the following:

  1. Perform clicks on the cad to give the point a location and vector. Then manually enter any remaining information.

  2. Move the machine to the point location using the Laser View tab of the Graphics Display Window. Next press the Read Point from Position button. Then manually enter the any remaining information like the snap value, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, snap value, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Surface Point Specific Parameters

Surface Point Command Mode Text

Auto Surface Point Path


Surface Point Specific Parameters

Snap: When this option is set to Yes, Snap applies zeros to the less important secondary and tertiary axes values so that the measured result is only in the primary axis. For example, if you are measuring the top surface of a part, you are really only interested in the height of the surface in Z. The X & Y values don’t matter as much and should be pretty much equal to the theoretical values. Due to possible tunneling errors, etc. the X & Y may be off by a little bit.


Surface Point Command Mode Text

The Surface Point command inside the Edit window’s Command Mode looks like this:

PNT1 =FEAT/LASER/SURFACE POINT,CARTESIAN

THEO/<1.895,1.91,1>,<0,0,1>

ACTL/<1.895,1.91,1>,<0,0,1>

TARG/<1.895,1.91,1>,<0,0,1>

SHOW FEATURE PARAMETERS=YES

SURFACE=THEO_THICKNESS,1

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Auto Surface Point Path

The direction of the path will be determined based on the stripe.

Path direction of scan for surface point


Laser Edge Point

Edge Point Auto Feature

To measure an edge point with a laser probe:

  1. Access to Auto Features dialog box, and select Edge Point

  2. Do one of the following:

  1. Perform clicks on the cad to give the point a location and vector. Then manually enter any remaining information.

  2. Move the machine to the point location using the Laser View tab on the Graphics Display Window. Next press the Read Point from Position button. Then manually enter the any remaining information.

  3. Manually enter all of the theoretical x, y, z, I, j, k, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Edge Point Command Mode Text


Edge Point Command Mode Text

The Edge Point command inside the Edit window’s Command Mode looks like this:

PNT2 =FEAT/LASER/EDGE POINT,CARTESIAN

THEO/<1.895,1.91,1>,<0,1,0>,<0,0,1>

ACTL/<1.895,1.91,1>,<0,1,0>,<0,0,1>

TARG/<1.895,1.91,1>,<0,1,0>,<0,0,1>

SHOW FEATURE PARAMETERS=YES

SURFACE1=THEO_THICKNESS,1

SURFACE2=THEO_THICKNESS,0

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Laser Plane

Plane Auto Feature

To create an auto plane using a laser probe:

  1. Access the Auto Features dialog box, and select Plane.

  2. Do one of the following:

  1. Click on time on the cad to give the plane a location and vector. Then manually enter any remaining information.

  2. Move the machine to the center of the plane using the Laser View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the any remaining information like the display, width, length, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, display, width, length, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Plane Specific Parameters

Plane Command Mode Text

Auto Plane Paths


Plane Specific Parameters

Width: The value in this box determines the width of the measurement area of the plane.

Length: The value in this box determines the length of the measurement area of the plane.

Display: This list lets you choose how to present the plane inside the Graphics Display window. You can choose TRIANGLE or OUTLINE. If you choose TRIANGLE, PC-DMIS displays the plane with a triangle symbol at the very center of the plane. If you choose OUTLINE, PC-DMIS displays an outline of the edges of the plane.


Plane Command Mode Text

The Plane command inside the Edit window’s Command Mode looks like this:

PLN1=FEAT/LASER/PLANE,CARTESIAN,TRIANGLE

THEO/<1.895,1.91,1>,<0,0,1>

ACTL/<1.895,1.91,1>,<0,0,1>

TARG/<1.895,1.91,1>,<0,0,1>

WIDTH=3,LENGTH=7

SHOW FEATURE PARAMETERS=YES

SURFACE=THEO_THICKNESS,1

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Auto Plane Paths

PC-DMIS provides two different paths for a plane. It automatically chooses the appropriate path based on the diameter and the size of the usable portion of the laser stripe. For auto planes, PC-DMIS always scans perpendicular to the direction of the stripe.

Path 1: Smaller Width

Planes with a width smaller than the usable portion of the stripe

Path 2: Larger Width

Planes with a width larger than the usable portion of the stripe


Laser Circle

Circle Auto Feature

To create a laser auto circle:

  1. Access the Auto Features dialog box, and select Circle.

  2. Do one of the following:

  1. Perform clicks on the cad to give the circle a location and vector. Then manually enter any remaining information.

  2. Move the machine to the circle location using the Laser View tab of the Graphics Display Window. Next, Click the Read Point from Position button. Then manually enter the any remaining information like the diameter, depth, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, diameter, depth, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

Currently, you can only measure inner circles (holes) with laser probes.

More:

Circle Specific Parameters

Circle Command Mode Text

Auto Circle Paths


Circle Specific Parameters

Diameter: This box specifies the circle’s diameter. When you select a circle with the mouse in the Graphics Display window, PC-DMIS automatically places the circle’s diameter from the CAD model in this box.

Depth: This parameter controls what data PC-DMIS uses to calculate the feature characteristics. You can use the depth value to eliminate data on a chamfer or some other transitional portion of the feature that you don't want in the feature calculation. Specifying a positive value tells PC-DMIS where along the feature PC-DMIS looks to calculate the feature characteristics.

For example, a depth of 3 indicates that you want to use all data 3 mm (or inches, depending on the units of the part program) and above for the calculation. If you specify 0, this indicates that you want to use all available data for the calculation. For thin walled features, a 0 value may be valid; but for parts with any depth to them, you will probably need to specify a depth to get accurate results.

Even if you specify a depth greater than zero, the measured results are always projected into the plane where the feature resides.


Circle Command Mode Text

Current Help System: PC-DMIS Laser (View Core Help)

Auto Circle Command Mode Text

The auto circle command inside the Edit window’s Command Mode looks like this:

CIR2 =FEAT/LASER/CIRCLE,CARTESIAN

THEO/<1.895,1.91,1>,<0,0,1>,1.895

ACTL/<1.895,1.91,1>,<0,0,1>,1.895

TARG/<1.895,1.91,1>,<0,0,1>

ANGLE VEC=<0,0,1>

DEPTH=3

SHOW FEATURE PARAMETERS=YES

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Auto Circle Paths

PC-DMIS provides two different paths for a circle. It automatically chooses the appropriate path based on the diameter and the size of the usable portion of the laser stripe. For auto circles, PC-DMIS always scans perpendicular to the direction of the stripe.

Path 1: Smaller Diameter

Circles with a diameter smaller than the usable portion of the stripe

Path 2: Larger Diameter

Circles with a diameter larger than the usable portion of the stripe

NOTE: The method for measuring circles with a larger diameter has been improved to measure the 4 passes at 1:30, 4:30, 7:30, and 10:30 rather than 12:00, 3:00, 6:00, and 9:00 as depicted in the image.


Laser Slot

Slot Auto Feature

To measure a square slot with a laser probe:

  1. Access the Auto Features dialog box, and select "Round Slot" or "Square Slot".

  2. Do one of the following:

  1. Collect the x, y, z, I, j, k information by clicking on cad:

For Round Slots:

    1. Click on one of the rounded edges of the slot in the Graphics Display window. PC-DMIS prompts you to Click two more times on the same rounded edge.

    2. Click twice on this edge. PC-DMIS then prompts you to click on the other rounded edge.

    3. Click on the other rounded edge. PC-DMIS prompts you to Click two more times on that same rounded edge.

    4. Click twice on the second rounded edge. PC-DMIS establishes the orientation of the round slot.

For Square Slots:

    1. Click on on of the long edges of the slot in the Graphics Display window. PC-DMIS prompts you to click at another location on the same edge to determine the direction.

    2. Click on a second edge, 90 degrees from the first.

    3. Click on the third edge, 90 degrees from the second. This sets the width.

    4. Click on the fourth edge and final edge. This sets the length

  2. Move the machine to the slot location using the Laser View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the any remaining information like the width, length, depth, height, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, width, length, depth, height, etc.

  3. Enter the necessary information in the Probe Toolbox tabs.You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Slot Specific Parameters

Slot Command Mode Text

Auto Round Slot Paths

Auto Square Slot Paths


Slot Specific Parameters

Inner/Outer: This list lets you choose whether or not the slot is an Inner slot (a hole) or an Outer slot (a stud).

Width: The value in this box determines the slot’s width.

Length: The value in this box determines the slot’s length.

Depth: This parameter controls what data PC-DMIS uses to calculate the feature characteristics. You can use the depth value to eliminate data on a chamfer or some other transitional portion of the feature that you don't want in the feature calculation. Specifying a positive value tells PC-DMIS where along the feature PC-DMIS looks to calculate the feature characteristics.
For example, a depth of 3 indicates that you want to use all data 3 mm (or inches, depending on the units of the part program) and above for the calculation. If you specify 0, this indicates that you want to use all available data for the calculation. For thin walled features, a 0 value may be valid; but for parts with any depth to them, you will probably need to specify a depth to get accurate results.

Even if you specify a depth greater than zero, PC-DMIS always projects the measured results into the plane where the feature resides.

Slot (Vector): These boxes define the slot’s orientation.


Slot Command Mode Text

The Slot command inside the Edit window’s Command Mode looks like this:

SLT1 =FEAT/LASER/SQUARE SLOT,CARTESIAN

THEO/<1.895,1.91,1>,<0,0,1>,<0,1,0>,3,7

ACTL/<1.895,1.91,1>,<0,0,1>,<0,1,0>,3,7

TARG/<1.895,1.91,1>,<0,0,1>

DEPTH=3

SHOW FEATURE PARAMETERS=YES

SURFACE=THEO_THICKNESS,1

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Auto Round Slot Paths

Depending on the width of the round slot, PC-DMIS takes one of these paths when performing the measurement:

Path 1: Narrow Width

Round slots with a width less than the usable portion of the stripe

Path 2: Larger Width

Round slots with a width larger than the usable portion of the stripe


Auto Square Slot Paths

PC-DMIS must measure Auto Square slots at a 45 degree angle to the slot (see the illustrations below). Depending on the size of the slot, PC-DMIS takes one of these two paths.

Path 1: Small Slot - Measured with a single pass of the laser probe

Small square slots require a single pass of the laser probe’s stripe

Path 2: Large Slot - Measured with multiple passes of the laser probe

Large square slots require multiple passes of the laser probe’s stripe


Laser Flush and Gap

Flush and Gap Auto Feature

To measure a Flush and Gap using a laser probe:

  1. Access the Auto Features dialog box, and select Flush & Gap.

  2. Do one of the following:

  1. Click one time on the cad to give the flush & gap a location and vector. Then manually enter any remaining information.

  2. Move the machine to the circle location using the Laser View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the any remaining information like the flush, gap, back off distance, bend radius, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, gap i, j, k, diameter, flush, gap, back off distance, bend radius, etc.

  3. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  4. Click the Test button if desired. Warning: The machine will now move!

  5. Click the Create button and then Close.

More:

Flush and Gap Specific Parameters

Flush and Gap Command Mode Text


Flush and Gap Specific Parameters

For a visual example of these parameters, consult the diagrams below.

Flush: This box determines the height difference between two mating sheet metal parts. Whether or not the flush value is positive or negative depends on whether it’s higher or lower than the “Master” side.

Gap: This box determines the distance (in the same plane) between two mating sheet metal parts.

BackOff: The back-off distance determines the location from the gap’s edge at which PC-DMIS measures the flush.

Bend Radius: This box is used to approximate the radius of the sheet metal as it bends under itself. This is used to better calculate the actual gap measurement since the sensor cannot collect data on the very edge of the gap.

Gap Dir (Vector): These boxes in the Orientation area define the direction of the gap and, subsequently, the direction the laser probe takes to scan the Gap and Flush.

The “Master” side is always to the left of the scan/gap direction.

The direction of the scan is controlled by the specified gap direction and not the direction of the laser stripe.

Direction of scan

The “Master” side is always to the left of the scan/gap direction.


Flush and Gap Command Mode Text

The Flush and Gap command inside the Edit window’s Command Mode looks like this:

FNG1 =FEAT/LASER/FLUSH AND GAP,CARTESIAN

THEO/<1.895,1.91,1>,<0,0,1>,<0,1,0>,0,0

ACTL/<1.895,1.91,1>,<0,0,1>,<0,1,0>,0,0

TARG/<1.895,1.91,1>,<0,0,1>

BACK-OFF DISTANCE=0

RADIUS=0

SHOW FEATURE PARAMETERS=YES

SURFACE=THEO_THICKNESS,1

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Laser Cylinder

Cylinder Auto Feature

To measure a cylinder with a laser probe:

  1. Access the Auto Features dialog box, and select Cylinder.

  2. Choose “In” or “Out” from the Inner/Outer: box..

  3. Do one of the following:

  1. Perform clicks on the cad to give the cylinder location and vector. Then manually enter any remaining information.

  2. Move the machine to the sphere location using the Laser View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the any remaining information like the Inner/Outer value, diameter, length, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, Inner/Outer value, diameter, length, depth, etc.

  4. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  5. Click the Test button if desired. Warning: The machine will now move!

  6. Click the Create button and then Close.

Note: The location and direction vector of the feature defines the center axis of the cylinder.

More:

Cylinder Specific Parameters

Cylinder Command Mode Text

Auto Cylinder Paths


Cylinder Specific Parameters

Diameter: The value in this box defines the cylinder’s diameter.

Length: The value in this box provides the length (height) of the cylinder's axis. The length parameter is only valid as nominal. No actual length measurement will be performed.

Inner/Outer: This parameter defines whether or not the sphere is an inner cylinder (hole) or an outer cylinder (stud).

Important: It is NOT possible to measure a full inner cylinder hole with a laser. You can ONLY measure a half cylinder, such as a cylindrical channel cut into a block (see example below).

Note: The Overscan value on the Laser Scan Properties tab of the Probe Toolbox should use negative values unlike other Laser Auto Features. This limits measurement in the cylindrical region along the cylinder axis.

Depth: This parameter controls location of the laser focal point in relation to the cylinder's outside diameter (outer cylinders) or the cylinder's center axis (inner cylinders). This allows you to control how the laser stripes fall on the cylinder's surface by specifying how far or close the laser is to the cylinder's surface.


Cylinder Command Mode Text

CYL2 =FEAT/LASER/,CYL2=FEAT/CYLINDER,CARTESIAN,IN

THEO/<1.895,1.91,1>,<0,0,1>,1.895,7

ACTL/<1.895,1.91,1>,<0,0,1>,1.895,7

TARG/<1.895,1.91,1>,<0,0,1>

DEPTH=3

SHOW FEATURE PARAMETERS=YES

SURFACE=THEO_THICKNESS,1

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Auto Cylinder Paths

Adjust the processing window in the Laser View to include as much of the cylindrical surface as possible. Laser plane must be roughly normal to the cylinder axis ( < 30 degree deviation). Depending on the diameter of the cylinder, PC-DMIS takes one of these paths when performing the measurement:

Path 1: Single Scan

Cylinders with a diameter less than the usable portion of the stripe

Path 2: Multiple Scan

Cylinders with a diameter larger than the usable portion of the stripe


Laser Sphere

Sphere Auto Feature

To measure a sphere with a laser probe:

  1. Access the Auto Features dialog box, and select Sphere.

  2. Choose “In” or “Out” from the Inner/Outer: box..

  3. Do one of the following:

  1. Perform clicks on the cad to give the sphere a location and vector. Then manually enter any remaining information.

  2. Move the machine to the sphere location using the Laser View tab of the Graphics Display Window. Next Click the Read Point from Position button. Then manually enter the any remaining information like the Inner/Outer value, diameter, etc.

  3. Manually enter all of the theoretical x, y, z, i, j, k, Inner/Outer value, diameter, etc.

  4. Enter the necessary information in the Probe Toolbox tabs. You will likely want to cycle through the Laser Scan, Laser Filtering, and Laser Clipping, properties tabs to enter the information.

  5. Click the Test button if desired. Warning: The machine will now move!

  6. Click the Create button and then Close.

More:

Sphere Specific Parameters:

Sphere Command Mode Text

Auto Sphere Path


Sphere Specific Parameters:

Current Help System: PC-DMIS Laser (View Core Help)

Sphere Specific Parameters

Inner/Outer: This parameter defines whether or not the sphere is an inner sphere (concave) or an outer sphere (convex).

Diameter: The value in this box defines the sphere’s diameter.


Sphere Command Mode Text

The Sphere command inside the Edit window’s Command Mode looks like this:

SPH1 =FEAT/LASER/SPHERE,CARTESIAN,IN,LEAST_SQR

THEO/<1.895,1.91,1>,<0,0,1>,1.895

ACTL/<1.895,1.91,1>,<0,0,1>,1.895

TARG/<1.895,1.91,1>,<0,0,1>

START ANGLE 1=0,END ANG 1=0

START ANGLE 2=0,END ANG 2=0

SHOW FEATURE PARAMETERS=YES

SURFACE=THEO_THICKNESS,0

MEASURE MODE=NOMINALS

RMEAS=NONE,NONE,NONE

AUTO WRIST=NO

GRAPHICAL ANALYSIS=NO

FEATURE LOCATOR=NO,NO,""

SHOW_LASER_PARAMETERS=YES

POINT CLOUD ID=DISABLED

SENSOR FREQUENCY=25,OVERSCAN=2,EXPOSURE=18

FILTER=NONE


Auto Sphere Path

The direction of the path will be determined based on the stripe.

Path direction of scan


Scanning Your Part Using a Laser Probe

Using a laser probe, PC-DMIS allows an area of measurement to be defined by scanning the surface of the part. When scanning with the Laser probe a group of point data is collected and passed to a reference Point Cloud object already defined in the part program. It is important to understand that when working with point clouds and scans that the scans DON’T contain any data. They only define the machine movement. All data is stored in the Point Cloud object.

The main topics in this section discuss the scanning options available from the Insert | Scan submenu when using a laser probe:

  • Introduction to Performing Advanced Scans

  • Common Functions of the Scan Dialog Box

  • Performing a Linear Open Advanced Scan

  • Performing a Patch Advanced Scan

  • Performing a Perimeter Advanced Scan

  • Performing a Freeform Advanced Scan

  • Performing a Manual Laser Scan


Introduction to Performing Advanced Scans

Advanced scans are DCC continuous motion scans that follow a predefined path. PC-DMIS follows the predefined path regardless of the shape of the actual part. The path can be defined in several ways explained later.

These advanced scans utilize a laser scanning probe allowing you to automatically digitize surfaces. To perform an advanced scan:

  1. Specify the necessary parameters for your selected DCC scan.

  2. Click the Generate button. PC-DMIS generates the scan.

  3. Once it finishes, click the Create button. The PC-DMIS scanning algorithm then takes control of the measurement process.

The types of advanced scans supported by PC-DMIS include:

  • Linear Open Scan

  • Patch Scan

  • Perimeter Scan

  • Freeform Scan

  • Manual Laser Scan

This help file will first cover the common functions available to the Scan dialog box, the dialog box used to perform these scans, and then how to perform the available advanced scans.


Common Functions of the Scan Dialog Box

Many of the functions described below are common to both DCC and Manual scans. Functionality that relates specifically to one scan mode is appropriately indicated.

Scan dialog box functions:

  • Scan Type

  • ID

  • Scan Parameters Area

  • CAD Controls Area

  • Theoretical Scan Points Area

  • Spline Points

  • Boundary Points Area

  • Vectors Area

  • Point Cloud Reference Feature

  • Measure


Scan Type

Scan Type list

The Scan Type list allows you to easily change between scan types without closing the dialog box and selecting a different scan type.


ID

The ID box displays the ID of the scan to be created.


Scan Parameters Area

Current Help System: PC-DMIS Laser (View Core Help)

Scan Parameters

The Scan Parameters area provides different controls depending on the type of scan that is being performed. See the specific topics located under the each Scan type:

  • Linear Open Scan Parameters

  • Patch Scan Parameters

  • Perimeter Scan Parameters


CAD Controls Area

Current Help System: PC-DMIS Laser (View Core Help)

CAD Controls

CAD Controls area

The CAD Controls area allows you to specify the CAD surface elements that will be used to define the “Theoretical Points”. In some cases, a scan might start over a certain surface and travel over many other surfaces before completion. In such cases, PC-DMIS does not know which CAD elements are to be used to generate the scan. It must therefore search through every surface in the CAD model. If the CAD model has many surfaces it might take a long time before the scan generation is successful.

To use this functionality to select CAD surfaces, you must have the ability to import and use CAD surface data. Ensure that you select the Draw Surfaces button [image] or else when you click on the CAD model the nearest wire gets selected instead of the selected surface.

To avoid this delay:

  1. Select the Select check box.

  2. Click on the appropriate surfaces. Once a CAD surface is selected, it will be highlighted in the Graphics Display window. The Status bar will display the number of surfaces that have been selected.

  3. Even though you have selected surfaces, PC-DMIS will still slice all the surfaces with the cut plane and init point to generate the Theoretical Points for the surfaces. If you only want the selected surfaces used in the generation, select the Only Selected option.

If you mistakenly select a surface, click on that surface a second time. This will deselect the surface. Clicking the Deselect button will deselect one surface at a time with each click of the button from a group of highlighted surfaces until all are deselected. Clicking the Deselect All button will deselect all highlighted surfaces at once.

If you don’t select the Select check box, PC-DMIS will assume any clicks on the surface to be Boundary Points.

Select

The Select check box allows you to select CAD surface and wire frame elements that will be used to find the nominal.

Only Selected

The Only Selected check box forces the path generation routines to only use the surfaces that have been selected by the user.

Deselect

The Deselect button removes one highlighted CAD element at a time from a group of CAD elements that are created using the Select check box.


Theoretical Scan Points Area

Current Help System: PC-DMIS Laser (View Core Help)

Theoretical Points

You can define the Theoretical Points of a scan, through:

  • Reading them from a file

  • Reading machine positions

  • Generating them from the defined boundary points

  • Using CAD data

These topics are discussed in greater detail later in this section.

Theoretical Scan Points area

More:

Editing Theoretical Points

Deleting Theoretical Points

Read File

Manual Points

New Line


Editing Theoretical Points

To edit theoretical points double click the number of the desired point in the # column.

# Column

This displays the Edit Theo Data dialog box. Use this dialog box to edit the X, Y, Z, I, J, K values. The dialog box’s title bar displays the ID of the point you are editing.

Edit Theo Data dialog boxes depicting Next, Previous, and Flip Vector buttons

You can cycle between the theoretical points by clicking the Next or Previous buttons.

You can also flip the vector for the selected point by clicking the Flip Vector button.


Deleting Theoretical Points

You can easily clear the Theoretical Points list of any of the scan types. Right-click inside the Theoretical Points list. A Reset Theoretical Points prompt appears. Click the prompt to clear any points from the list.


Read File

The Read File button tells PC-DMIS to read the Theoretical points in from a text file. The points must be in X,Y,Z,I,J,K comma delimited format. A blank space between points denotes the start of a new scan line.


Manual Points

By selecting the Manual Points check box, you can manually add points into the Theoretical Points list. These points can be taken by moving the probe to the desired location and Clicking the Probe Enable button on your jog box or by clicking points on the CAD file.


New Line

The New Line check box functions only for Patch Scans. By selecting the New Line check box, you tell PC-DMIS that manual points you take should begin a new line.


Spline Points

When you take manual points the spacing and path are usually inconsistent. With the Spline Points button, however, you can construct a spline curve along a path through a list of manual points and create a smooth, evenly spaced path. For a Linear Open scan PC-DMIS places all the points on the Cut Plane. For a Patch Scan it places the points for each scan line on the Cut Plane for that scan line.

The Spline Points button is not available for a Perimeter scan.

Clicking the Spline Points button displays the Point Interpolation / Approximation dialog box.

Point Interpolation/Approximation

The topics for this dialog box include:

  • Curve Type

  • Calculation Type

  • Weight

  • Point Spacing Type

  • Increment


Curve Type

There are three types of curves that can be constructed with the spline routines:

Open: This option creates an open ended curve. This means the curve starts in one location and ends in another.

Closed: This option creates a close ended curve. This means the curve starts and ends in the same location.

Line: This option differs from the Open or Closed options. It doesn’t use theoretical points but instead uses boundary points and creates straight lines within the boundary points, following the boundary points’ direction rules.


Calculation Type

There are two calculation types you can use in spline routines.

Approximate: This option allows the path to deviate from the actual input point by a small amount in order to produce a smooth curve from which the new points are taken.

Interpolate: This option forces the curve to go through each of the input points exactly.


Weight

This list becomes available when you select the Approximate calculation type. When constructing the curve, it allows more weight to be given to points that are further apart. The two choices for the option are YES and NO.


Point Spacing Type

This option allows you to control the output points of the spline routine.

Density: This option lets you specify the incremental distance between each output point. PC-DMIS determines the number of output points by the length of the curve and the user supplied increment.

Number of Hits: This option lets you specify how many points they want in the output. No matter the length of the curve, PC-DMIS evenly spaces the user supplied points over the length of the curve.


Increment

This box holds the increment value for the Point Spacing Type; either Density or Number of Hits.


Boundary Points Area

Current Help System: PC-DMIS Laser (View Core Help)

Boundary Points

PC-DMIS lets you define the boundary of a scan by typing the XYZ values for the individual boundary points directly, measuring the points using the laser probe, or using the CAD data.

Boundary Points and Vectors area

Boundary Points are not available or necessary for Free-form scans

You can change the column widths of the Boundary Point list by selecting the right or left edge of a column header with the left mouse button and dragging the edge to the desired size. This information is saved to your PC-DMIS Settings Editor each time they change.

More:

Setting Boundary Points by Typing

Setting Boundary Points Using the Measured Point Method

Setting Boundary Points Using the CAD Data Method

Editing Boundary Points

Clearing Boundary Points

Generate

Undo

Adding and Deleting Boundary Points


Setting Boundary Points by Typing

To set the boundary of a scan by typing:

  1. Double click the desired boundary point in the ‘#’ column. This will display the Edit Scan Item dialog box.

Edit Scan Item dialog box

  2. Manually edit the X, Y or Z value.

  3. Click the OK button to apply the changes.

The Cancel button disregards any changes that have been made and will close the dialog box.

The Next button accepts the changes and then brings up the next boundary point for editing.


Setting Boundary Points Using the Measured Point Method

Current Help System: PC-DMIS Laser (View Core Help)

Setting Boundary Points Using the Read Position Method

To set the boundary of the scan using measured points,

  1. Place the laser probe at the desired location.

  2. Click the Probe Enable button on the jog box (only available on DEA/B&S machines).

Note: The probe enable light on the jog box will alternate off and on every time that it is pressed. This is not important and has no influence on the probe itself.

This automatically updates the value of the currently selected Boundary point in the Boundary Points and Vectors list. The focus moves to the next boundary point (if there are any in the list). In the case of a PATCH scan, an extra boundary point will be added automatically if the current point is the last point in the list. The PATCH scan will display the last point (this is the same as the previous point). PC-DMIS deletes this last point when you click the OK button.


Setting Boundary Points Using the CAD Data Method

PC-DMIS lets you select the boundary points by using surface CAD data.

When using CAD surface data:

  1. Make sure that you have imported solid CAD data.

  2. Select that the Draw Surfaces icon [image].

  3. Select a boundary point by clicking on the desired location in the Graphics Display window. PC-DMIS highlights the selected surface and automatically updates the value of the currently selected Boundary point. PC-DMIS then moves the focus to the next boundary point (if any are available). For PATCH scans, PC-DMIS automatically adds an extra boundary point if the current point is the last point in the list.


Editing Boundary Points

Boundary points can be edited by double clicking the number of the desired point in the ‘#’ column.

# column

This will display the Edit Scan Item dialog box allowing you to edit the X, Y, Z values.

Edit Scan Item dialog box


Clearing Boundary Points

You can easily clear the Boundary Points list of any of the scan types.

  1. Right-click while the cursor is inside the Boundary Points list.

  2. A Reset Boundary Points button appears.

  3. Click this button. It will reset all the boundary points to zero and the number of boundary points will be set to the minimum for each scan type.


Generate

The Generate button is available only for DCC scans using CAD data.

After the boundary points for a scan has been defined, click the Generate button. PC-DMIS will slice the CAD with the plane defined by the start point and cut vector and then generate the theoretical points from the curve defined by this slice. If the Create button is then clicked, PC-DMIS inserts a scan with nominal hit data will be inserted into the part program.


Undo

The Undo allows you to remove the hits that have been generated using the Generate button as outlined in the Generate topic.


Adding and Deleting Boundary Points

Add / Delete buttons

The Add and Delete buttons allow you to add or delete boundary points to the list of boundary points. There are some restrictions regarding each type of scan. For example, a LINEAROPEN scan only takes a Start Point, a Direction point and an Ending Point. It will not allow you to add more points or delete these points. Refer to each scan for specific restrictions.


Vectors Area

Current Help System: PC-DMIS Laser (View Core Help)

Vectors

Boundary Points and Vectors area

The bottom portion of the Boundary Points and Vectors area displays a list of vectors that PC-DMIS will use to start and stop a scan. Some of the vectors listed below may not be found in the list for a specific scan, indicating that they are not used for that scan. Please refer to each scan for more details. You can edit each of these vectors by double-clicking on the vector to edit in the vector column.

Vector column

This will display the Edit Scan Item dialog box:

Edit Scan Item dialog box

Using the different fields, you can edit the I, J, and K values.

  • Clicking the OK button on the Edit Scan Item dialog box will apply any changes that have been made.

  • Clicking the Cancel button will close the Edit Scan Item dialog box without applying any changes.

  • Clicking the Next button cycles through the available vectors in the Initial Vectors list. Some of the initial vectors can be flipped. If so, then the Flip button becomes available on the Edit Scan Item dialog box.

  • Clicking the Flip button allows you to reverse the direction of the selected vector.

More:

Graphical Representation of Vectors

Initial Touch Vector

Cut Plane Vector

End Touch Vector


Graphical Representation of Vectors

When setting up the start, direction, and end points of the scan, PC-DMIS allows you to see a graphical representation of the initial touch vector, the direction vector, and the vector that is normal to the boundary plane where the scan will stop.

These vectors are shown as blue, green and orange colored arrows in the Graphical Display area of your part.

Colored arrows showing vectors

Vector | Graphical Representation
Initial Touch | Blue arrow
Direction | Green arrow
Boundary Plane | Orange arrow


Initial Touch Vector

Current Help System: PC-DMIS Laser (View Core Help)

Initial Touch Vector (InitVec)

The values that are displayed in the Initial Touch Vector row indicate the vector PC-DMIS will use to take the first touch in the scanning process.

To edit the I, J, K Initial Touch vector:

  1. Double click on InitVect in the vector column. The Edit Scan Item dialog box appears.

  2. Change the values.

  3. Click the OK button. The dialog box will close.


Cut Plane Vector

Current Help System: PC-DMIS Laser (View Core Help)

Cut Plane Vector (CutVec)

A cut plane is used internally for DCC scanning calculations. This cut plane is derived from the Initial Touch vector, and the vector between the first and last points for the Linear Open DCC scan. Please refer to the individual scans for details on how the Cut Plane vector is derived.


End Touch Vector

Current Help System: PC-DMIS Laser (View Core Help)

End Touch Vector (EndVec)

The End Touch vector is the approach vector of the scan at the end of the row. This is used only to stop the scan or to move to the next row (in the case of a Patch scan).


Point Cloud Reference Feature

The Point Cloud Reference Feature defines the Point Cloud object into which PC-DMIS places the surface data. Select the needed Pointcloud from the combo box to which data will added. This field must be supplied, or PC-DMIS cannot create the scan.


Measure

If you select the Measure check and click the Create button, PC-DMIS will start measuring the scan immediately. If you don’t select the Measure check box when you click Create, PC-DMIS inserts a scan object into the Edit window that can be measured later. This allows you to set up a series of scans that can be inserted into the Edit window and measured at a later time.


Performing a Linear Open Advanced Scan

Scan dialog box — Linear Open Scan

The Linear Open Scan method will scan the surface along a line. This procedure uses the starting and ending point for the line, and also includes a direction point for the calculation of the cut plane. The probe will always remain within the cut plane while doing the scan.

Topics for a Linear Open Advanced scan include:

  • To Create a Linear Open Scan

  • Scan Parameters

  • Vectors


To Create a Linear Open Scan

  1. Ensure that you have a Laser probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select the Display Menu Roadmap Insert | Scan | Linear Open menu item. The Scan dialog box appears with Linear Open Scan already selected in the Scan Type list.

  4. If your scan traverses multiple surfaces, consider selecting surfaces as discussed in “CAD Controls”.

  5. If you are going to use the boundary points to help define the scan path, add the 1 point (starting point), the D point (direction to scan), and the 2 point (ending point), to the scan by following an appropriate procedure as discussed in the "Boundary Points” topic.

  6. Make any needed changes to the vectors in the Vectors list. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Scan dialog box.

  7. Type the name of the scan in the ID box.

  8. Select the Measure check box if needed.

  9. Set the distance between generated theoretical points in the Increment box.

  10. Select the method for defining the scan path from the Read File, Manual Hits, Generate, and Spline Points options.

  11. If needed, make additional modification to your scan.

  12. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  13. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Linear Open Scan Parameters

Current Help System: PC-DMIS Laser (View Core Help)

Scan Parameters

The Increment box in the Scan Parameters area lets you set the increment distance between the theoretical points when you click the Generate button.


Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • End Touch (EndVec)

See "Vectors” under "Common Functions of Scan Dialog Boxes" for additional information.

The Cut Plane vector (CutVec) is the cross product of the Initial Touch vector (InitVec) and the line between the start and end point.


Performing a Patch Advanced Scan

Scan dialog box — Patch Scan

The Patch Scan method will scan the surface of the part based on the Scan Parameters. The probe will always remain within the cut plane while doing each scan line. It uses the Increment value to determine the distance between points on each line. When the scan reaches the boundary at the end of a line, the scan will move to the next line by the Increment 2 value and start a new scan line moving in the opposite direction. The following figure describes this process.

Patch scan increment example

Topics for a Patch Advanced scan include:

  • To Create a Patch Scan

  • Patch Scan Parameters

  • Initial Vectors


To Create a Patch Scan

  1. Ensure that you have a Laser probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select the Display Menu Roadmap Insert | Scan | Patch menu item. The Scan dialog box appears with Patch Scan already selected from the Scan Type list.

  4. Set the values for Increment and Increment 2. These determine the spacing of the points if you select the Generate or Spline buttons, or the New Line check box to define the scan. Increment defines the spacing between each point on a scan line and Increment 2 defines the spacing between scan lines.

  5. If your scan traverses multiple surfaces, consider selecting surfaces as discussed in the “CAD Controls” topic.

  6. If you are going to use the boundary points to help define the scan path add the 1 point (starting point), the D point (the direction to begin scanning), the 2 point (the end point of the first line), the 3 point (to generate a minimum area), and, if desired, the 4 point (to form a square or rectangular area). This will select an area that you wish to scan. Pick these points by following an appropriate procedure as discussed in "Boundary Points”.

  7. Make any needed changes to the vectors in the Vectors list. Do this by double-clicking on the vector, and making any changes to the Edit Scan Item dialog box, and then clicking OK to return to the Scan dialog box.

  8. Type the name of the scan in the ID box.

  9. Set the Measure check box if you want to execute the scan and measure it at creation time.

  10. Select the Generate button to generate a preview of the scan on the CAD model in the Graphics Display window. When you generate the scan, PC-DMIS will start the scan at the start point, and will follow the chosen direction until it reaches the boundary point, the scan then moves back and forth scanning in rows along the chosen area, scanning in rows at the specified increment value until it finishes the process.

  11. If needed, make additional modification to your scan.

  12. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  13. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Patch Scan Parameters

The Increment and Increment 2 boxes described below are available when creating and measuring a Patch scan.

Increment

The Increment allows you to set the increment distance between each point when Generate or Spline/Line is used to define the scan path.

Increment 2

The Increment 2 allows you to set the increment distance between scan lines when Generate or Spline/Line is used to define the scan path.


Initial Vectors

Vectors used:

  • Cut Plane (CutVec)

  • Initial Touch (InitVec)

  • End Touch (EndVec)

The cut plane vector is derived by crossing the Initial Touch vector (InitVect) and the line between the first and second point. The cut plane vector is then set to the correct direction by using the line between the second and third points. The End Touch vector (EndVec) is the vector used to take the second boundary points and is used to jump to the second row after completing the first row.


Performing a Perimeter Advanced Scan

Scan dialog box — Perimeter Scan

The Perimeter Scan method will scan the surface of the part based upon the selected surfaces. This procedure will traverse the selected surfaces within the created boundaries.

Topics for a Perimeter Advanced scan include:

  • To Create a Perimeter Scan

  • Perimeter Scan Parameters


To Create a Perimeter Scan

To create a Perimeter scan:

  1. Ensure that you have a Laser probe enabled.

  2. Place PC-DMIS into DCC mode.

  3. Select the Display Menu Roadmap Insert | Scan | Perimeter menu item. The Scan dialog box appears with Perimeter Scan already selected from the Scan Type list.

  4. Select the surface(s) that will be used to create the boundary. If multiple surfaces are selected, the surfaces should be selected in the same order that they are to be traversed by the scan. To select the necessary surface(s):

  5. Verify that the Select check box is selected. Each surface will be highlighted as it is selected.

  6. After the desired surfaces are selected, clear the Select check box.

  7. Click on the surface near the boundary where the scan is to begin. This is the Start Point.

  8. Click on the same surface a second time in the direction that the scan will be executed. This is the Direction Point.

  9. Click on the point where the scan is to end. This point is optional. If an End Point is not provided, the scan will end at its Start point.

  10. Type the appropriate values into the Scan Construction area. These include the following boxes:

    • Increment box

    • CAD Tol box

    • Offset box

    • Offset Tol (+/-) box

  11. Select the Calculate Boundary button. This will calculate the boundary from which the scan will be created. The red dots on the boundary indicate where the hits are taken on the perimeter scan.

The boundary calculation should be a relatively quick process.

If the boundary does not look correct, click the Delete button. This will delete the boundary and allow another to be created.

If the boundary appears incorrect, it usually means that the CAD tolerance needs to be increased.

After changing the CAD tolerance, click the Calculate Boundary button to recalculate the boundary.

Verify that the boundary is correct before calculating a perimeter scan because it takes much longer to calculate the scan path than it does to recalculate the boundary.

  12. Verify that the Offset value is correct.

  13. Click the Generate button. PC-DMIS will then calculate the theoretical values that will be used to execute the scan. This process involves a very time intensive algorithm. Depending on the complexity of the selected surfaces and the amount of points that are being calculated, it may take a while to compute the scan path. (A five minute wait is not uncommon.) If the scan does not appear correct, the Undo button can be used to delete the proposed scan path. If needed, the Offset Tolerance can be altered and the scan recalculated.

  14. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  15. Click the Create button to store the perimeter scan in the Edit window. It will be executed like any other scan.

Three surfaces have been selected. Each surface borders another, but the outside of each surface makes up the composite boundary (indicated by the solid red line) The offset distance is the amount that the scan will be offset from the composite boundary (indicated by the dotted red line)

Perimeter Scan Example


Perimeter Scan Parameters

Scan Parameters area

The Scan Parameters area of the dialog box allows various options for constructing a Perimeter Scan. These include:

Increment

The Increment box indicates the distance between each of the hit points on the scan.

CAD Tol

The CAD Tol box is useful in detecting neighboring surfaces. The larger the tolerance, the farther apart the CAD surfaces can be and still be recognized as a neighboring surface.

Offset

The Offset box indicates the distance in from the perimeter where the scan will be created and executed.

Offset + / -

The Offset Tol (+/-) box indicates the amount of allowable deviation from the offset value. It is a user supplied value.

Calculate Boundary

The Calculate Boundary button determines the composite boundary of the input surfaces. The Calculated boundary appears as red dots in the Graphics Display window.

Delete

The Delete button deletes the previously created boundary.


Performing a Freeform Advanced Scan

Scan dialog box — Freeform Scan

The Insert | Scan | Freeform method allows the user to define a scan path which is not restricted to follow any particular rule set. The scan path can be defined to move in any direction including crossing back over itself.

Creating a Freeform Scan

  1. Place PC-DMIS into DCC mode.

  2. Select the Display Menu Roadmap Insert | Scan | Freeform menu item. The Scan dialog box appears with the Freeform Scan already selected from the Scan Type list..

  3. Next the user will need to define the scan path. They can do this by using the Read File option or by the Manual Points method.

  4. Once the Theoretical Points are defined the user can either create the scan or use the Spline Points option to better define the path.

  5. If needed, make additional modification to your scan.

  6. Enter the ID of the cloud of points object that will receive the surface data in the Point Cloud Reference Feature edit box.

  7. Click the Create button. PC-DMIS inserts the scan into the Edit window.


Performing a Manual Laser Scan

Manual Laser Scan dialog box

The Insert | Scan | Manual Laser method allows the user to define a scan path which is not restricted to follow any particular rule set. Scanned points are added to the selected COP command rather than creating Manual scan feature. The scan path can be defined to move in any direction including crossing back over itself. Scanned points can then be used to create auto features (see "Auto Feature Extraction").

Note: When scanning with a laser sensor attached to a portable arm machine, scanned data will be added to the associated COP command rather than a manual laser scan command.

To Create a Manual Laser Scan:

  1. Place PC-DMIS into Manual mode.

  2. Select the Display Menu Roadmap Insert | Scan | Manual Laser menu item. The Manual Laser dialog box appears.

  3. Type the name of the scan in the ID box.

  4. Select the COP Feature to which the scan points will be associated.

  5. To use Dynamic Color Mapping, select the Enable check box and specify the Plus of Minus tolerance values. This allows PC-DMIS Laser to compute the color that should be applied to each point that is collected based on the dimension color specified.

  6. Click Create. The Execution Mode Options dialog box opens and waits for scanning to begin by pressing the button on the arm.


Aligning Measured Auto Features to CAD

The process described here is only available when measuring Auto Features, with a manual laser probe (on a portable arm), with imported CAD data. This allows you to select the actual measured features from the pointcloud that corresponds to a selected nominal features from the CAD.

To align measured auto features to CAD nominals:

  1. Import CAD data.

  2. Open the Auto Feature dialog box for a feature that will be included in the manual alignment.

  3. Select the nominal location for the feature by clicking on the CAD surface next to the needed feature.

  4. Change any auto feature parameters as needed and click Create. The Auto feature is added to the part program.

  5. Repeat steps 2 through 4 for each auto feature that will be included in the alignment.

Note: PC-DMIS automatically adds a new extraction COP when you begin creation of a new laser auto feature. The features of the manual alignment may be included in the same pointcloud. The COP from which the laser auto features is extracted is specified from the "Laser Probe Toolbox: Laser Scan Properties tab".

  6. Execute you part program. PC-DMIS prompts you to scan the laser auto features as part of a Portable Laser Alignment.

  7. Scan the part to include the auto features for the manual alignment.

  8. Press the Done button on you arm, when you have completed feature measurement. More than one scan may be needed to adequately define each feature.

  9. PC-DMIS now prompts you to define the first manual alignment feature. Follow the instructions provided in the dialog box and status bar and then press OK. At the end of selection the preliminary form of the auto feature is displayed.

  10. Repeat Step 9 for each of the manual alignment features.

Note: PC-DMIS solves the laser auto feature with the theoretical values from the CAD and actual values from the measured pointcloud.

  11. Select the Insert | Alignment | New menu item (Ctrl+Alt+A) to open the Alignment Utilities dialog box.

  12. Select the alignment features from the list box and click Auto Align. PC-DMIS aligns the defined features from pointcloud with the corresponding CAD nominals. The manual laser alignment has been established.


Density Type: Intelligent Density Management

Intelligent Density Management with Filter Type 'None'

Intelligent Density Management (IDM) is only available for Perceptron V5 laser probes. Scanning at high speeds is only accomplished by means of IDM. Features scanned using IDM can also be used for auto feature extraction since edge points are found with IDM.

Filter Type and Density Type can be used together. For example, you might want a “Long Line” filter with IDM density. However, in the case where you only want to apply the IDM density, the Filter Type should be set to "None".

The two IDM settings work together to determine which points should be reduced (removed) based on the position of the neighboring points. When data points are considered to be on the same plane, only a few point are needed. Points are retained if they are outside the Flatness Tol or the Max Span distance has been reached.

For Example: In the image below, you can see how there are fewer points retained along the straight lines while and many more points are retained along the curved lines.

IDM uses the following settings:

Flatness Tol (A): Provides the number of microns in which the neighboring point is not considering to reside in the same plane. Points that deviate from this range will be included in the subset of points. This value should be between 1-60.

Max Span (B): Provides the maximum distance (in microns) that included points can be from each other. Once the Max Span has been reached for points that are within the Flatness Tol a new point will be included in the subset of points. This value should be between 150-2500.

IDM Sample - Flatness Tol (A) and Max Span (B)

Example IDM Settings

Flatness Tol. | Max Span | Result
15 | 1000 | Provides data at nominal 1mm point-spacing. This allows you to achieve significant data reduction without sacrificing surface details. This might be considered the "optimal data compression" since it provides a good balance of CPU load, memory usage, and graphic card load.
150 | 2500 | This would be considered the maximum data-reducing IDM setting. This setting places a heavy load on the CPU, but memory usage and graphics card load is reduced.
1 | 60 | Emulates V4 probe performance with a V5 probe. This setting is easy on the CPU, but does require more memory and puts more load on the graphics card.
1 | 120 | This is the same as having IDM turned off.


Density Type: Column Sampling Rate

Column Sampling Rate with Filter Type 'None'

Column Sampling Rate (CSR) is only available on Perceptron V5 and V4ix laser probes. CSR density is only available when scanning and not when the Auto Feature dialog box is open. This is due to CSR density not being acceptable for auto feature extraction since there are no edge points.

Filter Type and Density Type can be used together. For example, you might want a “Long Line” filter with CSR density. However, in the case where you only want to apply the CSR density, the Filter Type should be set to "None".

CSR uses the following setting:

Regular Spacing (A): Provides the maximum distance (in pixels) that included points can be from each other along scanlines. The range of values is between 1 and 100. The minimum value of 1 will retain each and every column (i.e. 100% sampling). The maximum value of 100 will retain 16 points per full line with a V5 or 8 points per line with a V4i.

Sample CSR - Regular Spacing (A)


Extracting with CAD data

When you are measuring a part for which CAD data has been imported, you can extract Auto Features by doing the following:

  1. Scan the surface of the part in which the needed Auto Feature exists.

  2. Click on the CAD surface near the edge of the needed feature. PC-DMIS will solve the Auto Feature with nominal data from the CAD and measured data from the Pointcloud data that is closest to the feature nominals.

  3. Continue selecting the needed Auto Features that reside within the Pointcloud.


Extrusion Parameter

Feature Extraction - Extrusion

The Extrusion value determines the location of the extracted edge point. This value is expressed in part program units and must be greater than or equal to zero.

Extrusion = 0: The edge point is located where the surface of the normal vector and the edge surface intersect. See image below.

(A) Normal Vector (B) Edge Point Location

Extrusion > 0: When the Extrusion value is greater than zero, the edge point is located as depicted below.

(A) Normal Vector (B) Edge Point Location (C) Extrusion distance


Laser Probe Toolbox: Feature Extraction tab

The Feature Extraction tab allows you to specify Ring Band or Extrusion parameters. The Feature Extraction parameters are only available when you are using a Perceptron laser to measure an Auto Edge Point, Auto Circle, Auto Round Slot or Auto Square Slot, otherwise this tab is not available. Depending on the feature type, the following Feature Extraction parameters are available:

  • Ring Band Parameters - Auto Circle, Auto Round Slot or Auto Square Slot

  • Extrusion Parameter - Auto Edge Point

See "Auto Feature Extraction".


Long Line

Current Help System: PC-DMIS Laser (View Core Help)

This filter is usually only used for measuring spheres and some cylinders.


Metris Sensors

Laser Sensor Tab for Metris Sensors

To Associate your Sensor file with your Machine:

  1. Copy your Sensor calibration files to your hard drive where the other Metris files are located. As a recommendation, you should copy it to the \<PC-DMIS Install Directory>\Metristoolkit.

Your Metris sensor comes with a floppy disk that contains a sensor calibration map (.SCM) file. If the floppy disk contains multiple files, you should copy the file with _API.scm in the name.

  2. Rename the calibration file that you copied to your hard drive. It is important that the last part of the file includes “CalMap” in the name. For example, if you have an LC sensor with serial number 352-04 you could name it LC-352-04. Thus, the calibration file name should be LC-352-04CalMap.scm. PC-DMIS looks for all files with the names <sensor name>CalMap.scm to know what sensors are available on the system.

  3. Use the … button to browse to the location where the calibration map was saved. This path will be displayed in the Sensor files location box. You may also type the fully qualified path to the .SCM file.

  4. PC-DMIS will automatically display the list of available sensors in the Available Sensors list. Select the sensor that will be used on this machine.

  5. Click the Associate button to associate the selected sensor with the current machine. The associated sensor is displayed in the Sensor associated with this machine box.

  6. Once you have completed the setup process, shut down PC-DMIS and restart. This will initialize PC-DMIS with the new settings.


Patch Scan

Current Help System: PC-DMIS Laser (View Core Help)

The Patch scan is like a series of Linear Open scans done parallel to each other.


Perceptron Sensor

Laser Sensor tab pointing to the binary file for Perceptron Sensor

Use the … button to browse to the location of the CSGMain.bin binary file in the Sensor Binary File box. This file has the sensor configuration that came with your probe and is installed when you install the toolkit and drivers for the probe.

Specifying the Hardware from the drop-down list allows PC-DMIS to remember what the options (Greysums, V5 Projectors, Flat Target Calibration, etc.) should be allowed/disallowed even when you are offline. When offline, all the options for the selected hardware type are available for revision.

Clicking AutoDetect will check the hardware that is currently attached to your machine. This will verify the hardware specified in the Hardware drop-down list is correct..


Ring Band Parameters

Feature Extraction - Ring Band

The Ring Band is used to calculate the feature’s projection plane and normal vector. The feature data will be projected up into the ring band's plane. The following Ring Band controls are used to accomplish feature extraction for circles, round slots and square slots:

Enable: When this option is selected, the Ring Band options will take affect. When disabled, the default values will be used: Inner Radius Offset - 1.2x the theoretical value and Outer Radius Offset - 5 more millimeters/inches than the Inner Radius Offset value.

Inner Radius Offset: Provides the offset from the theoretical feature radius or form for the inner edge of the ring band. This value is expressed in part program units and must be greater than or equal to zero (a value of zero means an inner edge of the ring band coincides with the feature nominal.) See Image below.

Outer Radius Offset: Provides the offset from the theoretical feature radius or form for the outer edge of the ring band. This value is expressed in part program units and must be greater than the Inner Radius Offset value. See Image below.

(A) Ring band Outer Edge (B) Ring Band Inner Edge (C) Feature Theoretical value (D) Outer Radius Offset and (E) Inner Radius Offset


Sunlight

Unlike other non-contact systems, laser sensors are not generally affected by standard industrial lighting. Laser sensors will work under varied lighting conditions because the sensor’s frequency is tuned to its own laser. Only light that has the same frequency as the laser itself can affect the measurement. Because sunlight contains all frequencies of light, it is important to keep sunlight in the inspection room at a minimum.


Surface Color

Because the laser is light, the surface color also has potential for impact on measurement. In a similar way that black absorbs heat from the sun, black surfaces will absorb the laser light making measurement of black surfaces difficult. Darker colors have more potential for problems. If your part is too dark, you can apply powder coatings to it to make it easier to sample.


Surface Finish

Because tactile probes are larger than the deviation in most surface finish, a tactile probe acts as an averaging filter. When the tactile probe comes in contact with the surface, it gives an average of the highest points on the surface. When using a laser sensor, the light reflects off the surface of the part. How the light reflects, depends a lot on the roughness of the surface, even if it does not appear rough to the human sight or touch.


Surface Reflectivity

Generally, surfaces with a matte finish work better than those with a glossy finish. A glossy surface finish usually has directional reflection. Depending on the angle of the light, you will get too much or too little light. You might even get a ‘hot spot’ (something that looks like a ‘blob’ in the graphics display area). This blob is actually the image of the light source. The reflection of light might add some extraneous points to the scan line, but the rest of the points will not be affected by the reflection. You can compensate for surface reflectivity by spraying the part with an aerosol powder or paint.